
;CodeVisionAVR C Compiler V2.04.4a Advanced
;(C) Copyright 1998-2009 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type                : ATmega168
;Program type             : Application
;Clock frequency          : 8,000000 MHz
;Memory model             : Small
;Optimize for             : Size
;(s)printf features       : int, width
;(s)scanf features        : int, width
;External RAM size        : 0
;Data Stack size          : 256 byte(s)
;Heap size                : 0 byte(s)
;Promote 'char' to 'int'  : Yes
;'char' is unsigned       : Yes
;8 bit enums              : Yes
;global 'const' stored in FLASH: No
;Enhanced core instructions    : On
;Smart register allocation     : On
;Automatic register allocation : On

	#pragma AVRPART ADMIN PART_NAME ATmega168
	#pragma AVRPART MEMORY PROG_FLASH 16384
	#pragma AVRPART MEMORY EEPROM 512
	#pragma AVRPART MEMORY INT_SRAM SIZE 1024
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x100

	.LISTMAC
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU EECR=0x1F
	.EQU EEDR=0x20
	.EQU EEARL=0x21
	.EQU EEARH=0x22
	.EQU SPSR=0x2D
	.EQU SPDR=0x2E
	.EQU SMCR=0x33
	.EQU MCUSR=0x34
	.EQU MCUCR=0x35
	.EQU WDTCSR=0x60
	.EQU UCSR0A=0xC0
	.EQU UDR0=0xC6
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F
	.EQU GPIOR0=0x1E

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ANDI R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ANDD2N
	ANDI R26,LOW(@0)
	ANDI R27,HIGH(@0)
	ANDI R24,BYTE3(@0)
	ANDI R25,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ORI  R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __ORD2N
	ORI  R26,LOW(@0)
	ORI  R27,HIGH(@0)
	ORI  R24,BYTE3(@0)
	ORI  R25,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __CLRD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+(@1))
	LDI  R31,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	LDI  R22,BYTE3(2*@0+(@1))
	LDI  R23,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+(@2))
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+(@3))
	LDI  R@1,HIGH(@2+(@3))
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+(@3))
	LDI  R@1,HIGH(@2*2+(@3))
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+(@1)
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+(@1)
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	LDS  R22,@0+(@1)+2
	LDS  R23,@0+(@1)+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+(@2)
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+(@3)
	LDS  R@1,@2+(@3)+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+(@1)
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	LDS  R24,@0+(@1)+2
	LDS  R25,@0+(@1)+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+(@1),R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	STS  @0+(@1)+2,R22
	STS  @0+(@1)+3,R23
	.ENDM

	.MACRO __PUTB1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRB
	.ENDM

	.MACRO __PUTW1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRW
	.ENDM

	.MACRO __PUTD1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRD
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+(@1),R0
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+(@1),R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+(@1),R@2
	STS  @0+(@1)+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTBSR
	STD  Y+@1,R@0
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	CALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __GETD1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X+
	LD   R22,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	CALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __GETBRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	LD   R@0,X
	.ENDM

	.MACRO __GETWRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	LD   R@0,X+
	LD   R@1,X
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __CLRD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R30
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	ST   Z,R@0
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

;NAME DEFINITIONS FOR GLOBAL VARIABLES ALLOCATED TO REGISTERS
	.DEF _tt=R4
	.DEF _s=R3

	.CSEG
	.ORG 0x00

;INTERRUPT VECTORS
	JMP  __RESET
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  _pin_change_isr2
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  _timer0_compa_isr
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00

_0x3:
	.DB  0x0,0x3,0x0,0x0,0x3,0x0,0x0,0x3
	.DB  0x0,0x0,0x3,0x0,0x0,0x3,0x0,0x0
	.DB  0x3
_0x146:
	.DB  0x1

__GLOBAL_INI_TBL:
	.DW  0x11
	.DW  _muk
	.DW  _0x3*2

	.DW  0x01
	.DW  0x04
	.DW  _0x146*2

_0xFFFFFFFF:
	.DW  0

__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  MCUCR,R31
	OUT  MCUCR,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	WDR
	IN   R26,MCUSR
	CBR  R26,8
	OUT  MCUSR,R26
	STS  WDTCSR,R31
	STS  WDTCSR,R30

;CLEAR R2-R14
	LDI  R24,(14-2)+1
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(0x400)
	LDI  R25,HIGH(0x400)
	LDI  R26,LOW(0x100)
	LDI  R27,HIGH(0x100)
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;GLOBAL VARIABLES INITIALIZATION
	LDI  R30,LOW(__GLOBAL_INI_TBL*2)
	LDI  R31,HIGH(__GLOBAL_INI_TBL*2)
__GLOBAL_INI_NEXT:
	LPM  R24,Z+
	LPM  R25,Z+
	SBIW R24,0
	BREQ __GLOBAL_INI_END
	LPM  R26,Z+
	LPM  R27,Z+
	LPM  R0,Z+
	LPM  R1,Z+
	MOVW R22,R30
	MOVW R30,R0
__GLOBAL_INI_LOOP:
	LPM  R0,Z+
	ST   X+,R0
	SBIW R24,1
	BRNE __GLOBAL_INI_LOOP
	MOVW R30,R22
	RJMP __GLOBAL_INI_NEXT
__GLOBAL_INI_END:

;GPIOR0 INITIALIZATION
	LDI  R30,0x00
	OUT  GPIOR0,R30

;STACK POINTER INITIALIZATION
	LDI  R30,LOW(0x4FF)
	OUT  SPL,R30
	LDI  R30,HIGH(0x4FF)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(0x200)
	LDI  R29,HIGH(0x200)

	JMP  _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0x200

	.CSEG
;/*****************************************************
;This program was produced by the
;CodeWizardAVR V2.04.4a Advanced
;Automatic Program Generator
; Copyright 1998-2009 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com
;
;Project :
;Version :
;Date    : 14.02.2011
;Author  : NeVaDa
;Company :
;Comments:
;
;
;Chip type               : ATmega168
;Program type            : Application
;AVR Core Clock frequency: 8,000000 MHz
;Memory model            : Small
;External RAM size       : 0
;Data Stack size         : 256
;*****************************************************/
;
;#include <mega168.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x01
	.EQU __sm_mask=0x0E
	.EQU __sm_adc_noise_red=0x02
	.EQU __sm_powerdown=0x04
	.EQU __sm_powersave=0x06
	.EQU __sm_standby=0x0C
	.SET power_ctrl_reg=smcr
	#endif
;#include <delay.h>
;
;unsigned char tt=1;   //    
;unsigned char s;
;
;unsigned char muk[22]={
;                      0, //muk[0] A
;                      3, //muk[1]    A
;                      0, //muk[2]  A
;
;                      0, //muk[3] L
;                      3, //muk[4]    L
;                      0, //muk[5]  L
;
;                      0, //muk[6] R
;                      3, //muk[7]    R
;                      0, //muk[8]  R
;
;                      0, //muk[9] Re
;                      3, //muk[10]    Re
;                      0, //muk[11]  Re
;
;                      0, //muk[12] PL
;                      3, //muk[13]    PL
;                      0, //muk[14]  PL
;
;                      0, //muk[15] PR
;                      3, //muk[16]    PR
;                      0, //muk[17]  PR
;
;                      0, //muk[18]   
;
;                      0, //muk[19]     A L R
;
;                      0, //muk[20]     Re
;
;                      0, //muk[21]   Re  
;                         // 1  , 0 
;
;                      };

	.DSEG
;
;
;unsigned char m [65]=
;                      {0, 0, 0, 0, 0, 0, 0, 0,
;                       0, 0, 0, 0, 0, 0, 0, 0,
;                       0, 0, 0, 0, 0, 0, 0, 0,
;                       0, 0, 0, 0, 0, 0, 0, 0,
;                       0, 0, 0, 0, 0, 0, 0, 0,
;                       0, 0, 0, 0, 0, 0, 0, 0,
;                       0, 0, 0, 0, 0, 0, 0, 0,
;                       0, 0, 0, 0, 0, 0, 0, 0,
;                       0};
;
;
;
;                       // 
;
;// Timer 0 overflow interrupt service routine
;
;
;interrupt [PC_INT2] void pin_change_isr2(void)
; 0000 0056  {

	.CSEG
_pin_change_isr2:
; 0000 0057   // Place your code here
; 0000 0058   #asm("nop")
	nop
; 0000 0059  }
	RETI
;
;
;interrupt [TIM0_COMPA] void timer0_compa_isr(void)
; 0000 005D  {
_timer0_compa_isr:
	ST   -Y,R30
	ST   -Y,R31
	IN   R30,SREG
	ST   -Y,R30
; 0000 005E   //    129536 ,
; 0000 005F   //   2024 
; 0000 0060   // Place your code here
; 0000 0061 
; 0000 0062     PORTB = m [tt];
	MOV  R30,R4
	CALL SUBOPT_0x0
	LD   R30,Z
	OUT  0x5,R30
; 0000 0063     tt++;
	INC  R4
; 0000 0064     if (tt>64)
	LDI  R30,LOW(64)
	CP   R30,R4
	BRSH _0x4
; 0000 0065    {
; 0000 0066     tt=1;
	LDI  R30,LOW(1)
	MOV  R4,R30
; 0000 0067    }
; 0000 0068 
; 0000 0069  }
_0x4:
	LD   R30,Y+
	OUT  SREG,R30
	LD   R31,Y+
	LD   R30,Y+
	RETI
;
;#define ADC_VREF_TYPE 0x60
;
;// Read the 8 most significant bits
;// of the AD conversion result
;unsigned char read_adc(unsigned char adc_input)
; 0000 0070 {
_read_adc:
; 0000 0071 ADMUX=adc_input | (ADC_VREF_TYPE & 0xff);
;	adc_input -> Y+0
	LD   R30,Y
	ORI  R30,LOW(0x60)
	STS  124,R30
; 0000 0072 // Delay needed for the stabilization of the ADC input voltage
; 0000 0073 delay_us(10);
	__DELAY_USB 27
; 0000 0074 // Start the AD conversion
; 0000 0075 ADCSRA|=0x40;
	LDS  R30,122
	ORI  R30,0x40
	STS  122,R30
; 0000 0076 // Wait for the AD conversion to complete
; 0000 0077 while ((ADCSRA & 0x10)==0);
_0x5:
	LDS  R30,122
	ANDI R30,LOW(0x10)
	BREQ _0x5
; 0000 0078 ADCSRA|=0x10;
	LDS  R30,122
	ORI  R30,0x10
	STS  122,R30
; 0000 0079 return ADCH;
	LDS  R30,121
	ADIW R28,1
	RET
; 0000 007A }
;
;
;
;void fill(unsigned char sv,unsigned char  k )
; 0000 007F /*     ,  
; 0000 0080  "K" -  
; 0000 0081  "sv"-     
; 0000 0082 */
; 0000 0083 {
_fill:
; 0000 0084 
; 0000 0085 
; 0000 0086     if (sv!=0)
;	sv -> Y+1
;	k -> Y+0
	LDD  R30,Y+1
	CPI  R30,0
	BREQ _0x8
; 0000 0087     {
; 0000 0088       if (sv!=64)
	LDD  R26,Y+1
	CPI  R26,LOW(0x40)
	BREQ _0x9
; 0000 0089       {
; 0000 008A         for (s=1 ; s<=sv ; s++)
	LDI  R30,LOW(1)
	MOV  R3,R30
_0xB:
	LDD  R30,Y+1
	CP   R30,R3
	BRLO _0xC
; 0000 008B         {
; 0000 008C          m[s]=m[s]|k;
	MOV  R30,R3
	CALL SUBOPT_0x0
	CALL SUBOPT_0x1
; 0000 008D         }
	INC  R3
	RJMP _0xB
_0xC:
; 0000 008E         k=~k;
	LD   R30,Y
	COM  R30
	ST   Y,R30
; 0000 008F         for (s=sv+1 ; s<=64 ; s++)
	LDD  R30,Y+1
	SUBI R30,-LOW(1)
	MOV  R3,R30
_0xE:
	LDI  R30,LOW(64)
	CP   R30,R3
	BRLO _0xF
; 0000 0090         {
; 0000 0091          m[s]=m[s]&k;
	MOV  R30,R3
	CALL SUBOPT_0x0
	CALL SUBOPT_0x2
; 0000 0092         }
	INC  R3
	RJMP _0xE
_0xF:
; 0000 0093         k=~k;
	RJMP _0x13E
; 0000 0094          goto next2;
; 0000 0095       }
; 0000 0096         for (s=1 ; s<=64 ; s++)
_0x9:
	LDI  R30,LOW(1)
	MOV  R3,R30
_0x12:
	LDI  R30,LOW(64)
	CP   R30,R3
	BRLO _0x13
; 0000 0097         {
; 0000 0098          m[s]=m[s]|k;
	MOV  R30,R3
	CALL SUBOPT_0x0
	CALL SUBOPT_0x1
; 0000 0099         }
	INC  R3
	RJMP _0x12
_0x13:
; 0000 009A        goto next2;
	RJMP _0x10
; 0000 009B     }
; 0000 009C       k=~k;
_0x8:
	LD   R30,Y
	COM  R30
	ST   Y,R30
; 0000 009D       for (s=1 ; s<=64 ; s++)
	LDI  R30,LOW(1)
	MOV  R3,R30
_0x15:
	LDI  R30,LOW(64)
	CP   R30,R3
	BRLO _0x16
; 0000 009E       {
; 0000 009F        m[s]=m[s]&k;
	MOV  R30,R3
	CALL SUBOPT_0x0
	CALL SUBOPT_0x2
; 0000 00A0       }
	INC  R3
	RJMP _0x15
_0x16:
; 0000 00A1        k=~k;
_0x13E:
	LD   R30,Y
	COM  R30
	ST   Y,R30
; 0000 00A2 
; 0000 00A3 next2: #asm ("nop");
_0x10:
	nop
; 0000 00A4 }
	ADIW R28,2
	RET
;
;
;
;// Declare your global variables here
;
;
;void main(void)
; 0000 00AC {
_main:
; 0000 00AD // Declare your local variables here
; 0000 00AE    unsigned char FL=1;   //    L
; 0000 00AF    unsigned char FR=1;   //    R
; 0000 00B0    unsigned char f=1;
; 0000 00B1    unsigned char s1;
; 0000 00B2    unsigned char e1;
; 0000 00B3    unsigned char t1;
; 0000 00B4    unsigned char x1;
; 0000 00B5    unsigned char ls;
; 0000 00B6    unsigned char tf1;
; 0000 00B7    unsigned char tf2;
; 0000 00B8    unsigned char tf3;
; 0000 00B9    unsigned char tf4;
; 0000 00BA    unsigned char c;
; 0000 00BB    unsigned char d;
; 0000 00BC    unsigned char lr=0;
; 0000 00BD    unsigned char s;   // 
; 0000 00BE    unsigned char com;
; 0000 00BF    unsigned char mod;
; 0000 00C0    unsigned char signal=128;   //
; 0000 00C1 // Crystal Oscillator division factor: 1
; 0000 00C2 #pragma optsize-
; 0000 00C3 CLKPR=0x80;
	SBIW R28,13
	LDI  R30,LOW(128)
	ST   Y,R30
	LDI  R30,LOW(0)
	STD  Y+1,R30
	STD  Y+2,R30
	STD  Y+3,R30
	STD  Y+4,R30
;	FL -> R17
;	FR -> R16
;	f -> R19
;	s1 -> R18
;	e1 -> R21
;	t1 -> R20
;	x1 -> Y+12
;	ls -> Y+11
;	tf1 -> Y+10
;	tf2 -> Y+9
;	tf3 -> Y+8
;	tf4 -> Y+7
;	c -> Y+6
;	d -> Y+5
;	lr -> Y+4
;	s -> Y+3
;	com -> Y+2
;	mod -> Y+1
;	signal -> Y+0
	LDI  R17,1
	LDI  R16,1
	LDI  R19,1
	LDI  R30,LOW(128)
	STS  97,R30
; 0000 00C4 CLKPR=0x00;
	LDI  R30,LOW(0)
	STS  97,R30
; 0000 00C5 #ifdef _OPTIMIZE_SIZE_
; 0000 00C6 #pragma optsize+
; 0000 00C7 #endif
; 0000 00C8 
; 0000 00C9 // Input/Output Ports initialization
; 0000 00CA // Port B initialization
; 0000 00CB // Func7=In Func6=In Func5=In Func4=In Func3=In Func2=Out Func1=Out Func0=Out
; 0000 00CC // State7=T State6=T State5=T State4=T State3=T State2=0 State1=0 State0=0
; 0000 00CD PORTB=0x00;
	OUT  0x5,R30
; 0000 00CE DDRB=0x07;
	LDI  R30,LOW(7)
	OUT  0x4,R30
; 0000 00CF 
; 0000 00D0 // Port C initialization
; 0000 00D1 // Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In
; 0000 00D2 // State6=T State5=T State4=T State3=T State2=T State1=T State0=T
; 0000 00D3 PORTC=0x00;
	LDI  R30,LOW(0)
	OUT  0x8,R30
; 0000 00D4 DDRC=0x00;
	OUT  0x7,R30
; 0000 00D5 
; 0000 00D6 // Port D initialization
; 0000 00D7 // Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In
; 0000 00D8 // State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T
; 0000 00D9 PORTD=0x00;
	OUT  0xB,R30
; 0000 00DA DDRD=0x00;
	OUT  0xA,R30
; 0000 00DB 
; 0000 00DC // Timer/Counter 0 initialization
; 0000 00DD // Clock source: System Clock
; 0000 00DE // Clock value: 8000,000 kHz
; 0000 00DF // Mode: CTC top=OCR0A
; 0000 00E0 // OC0A output: Disconnected
; 0000 00E1 // OC0B output: Disconnected
; 0000 00E2 TCCR0A=0x02;
	LDI  R30,LOW(2)
	OUT  0x24,R30
; 0000 00E3 TCCR0B=0x01;
	LDI  R30,LOW(1)
	OUT  0x25,R30
; 0000 00E4 TCNT0=0x00;
	LDI  R30,LOW(0)
	OUT  0x26,R30
; 0000 00E5 OCR0A=0x40;
	LDI  R30,LOW(64)
	OUT  0x27,R30
; 0000 00E6 OCR0B=0x00;
	LDI  R30,LOW(0)
	OUT  0x28,R30
; 0000 00E7 
; 0000 00E8 
; 0000 00E9 
; 0000 00EA // Timer/Counter 1 initialization
; 0000 00EB // Clock source: System Clock
; 0000 00EC // Clock value: Timer1 Stopped
; 0000 00ED // Mode: Normal top=FFFFh
; 0000 00EE // OC1A output: Discon.
; 0000 00EF // OC1B output: Discon.
; 0000 00F0 // Noise Canceler: Off
; 0000 00F1 // Input Capture on Falling Edge
; 0000 00F2 // Timer1 Overflow Interrupt: Off
; 0000 00F3 // Input Capture Interrupt: Off
; 0000 00F4 // Compare A Match Interrupt: Off
; 0000 00F5 // Compare B Match Interrupt: Off
; 0000 00F6 TCCR1A=0x00;
	STS  128,R30
; 0000 00F7 TCCR1B=0x00;
	STS  129,R30
; 0000 00F8 TCNT1H=0x00;
	STS  133,R30
; 0000 00F9 TCNT1L=0x00;
	STS  132,R30
; 0000 00FA ICR1H=0x00;
	STS  135,R30
; 0000 00FB ICR1L=0x00;
	STS  134,R30
; 0000 00FC OCR1AH=0x00;
	STS  137,R30
; 0000 00FD OCR1AL=0x00;
	STS  136,R30
; 0000 00FE OCR1BH=0x00;
	STS  139,R30
; 0000 00FF OCR1BL=0x00;
	STS  138,R30
; 0000 0100 
; 0000 0101 // Timer/Counter 2 initialization
; 0000 0102 // Clock source: System Clock
; 0000 0103 // Clock value: Timer2 Stopped
; 0000 0104 // Mode: Normal top=FFh
; 0000 0105 // OC2A output: Disconnected
; 0000 0106 // OC2B output: Disconnected
; 0000 0107 ASSR=0x00;
	STS  182,R30
; 0000 0108 TCCR2A=0x00;
	STS  176,R30
; 0000 0109 TCCR2B=0x00;
	STS  177,R30
; 0000 010A TCNT2=0x00;
	STS  178,R30
; 0000 010B OCR2A=0x00;
	STS  179,R30
; 0000 010C OCR2B=0x00;
	STS  180,R30
; 0000 010D // External Interrupt(s) initialization
; 0000 010E // INT0: Off
; 0000 010F // INT1: Off
; 0000 0110 // Interrupt on any change on pins PCINT0-7: Off
; 0000 0111 // Interrupt on any change on pins PCINT8-14: Off
; 0000 0112 // Interrupt on any change on pins PCINT16-23: On
; 0000 0113 EICRA=0x00;
	STS  105,R30
; 0000 0114 EIMSK=0x00;
	OUT  0x1D,R30
; 0000 0115 PCICR=0x04;
	LDI  R30,LOW(4)
	STS  104,R30
; 0000 0116 PCMSK2=0xF0;
	LDI  R30,LOW(240)
	STS  109,R30
; 0000 0117 PCIFR=0x04;
	LDI  R30,LOW(4)
	OUT  0x1B,R30
; 0000 0118 
; 0000 0119 
; 0000 011A // Timer/Counter 0 Interrupt(s) initialization
; 0000 011B TIMSK0=0x02;
	LDI  R30,LOW(2)
	STS  110,R30
; 0000 011C // Timer/Counter 1 Interrupt(s) initialization
; 0000 011D TIMSK1=0x00;
	LDI  R30,LOW(0)
	STS  111,R30
; 0000 011E // Timer/Counter 2 Interrupt(s) initialization
; 0000 011F TIMSK2=0x00;
	STS  112,R30
; 0000 0120 
; 0000 0121 // Analog Comparator initialization
; 0000 0122 // Analog Comparator: Off
; 0000 0123 // Analog Comparator Input Capture by Timer/Counter 1: Off
; 0000 0124 ACSR=0x80;
	LDI  R30,LOW(128)
	OUT  0x30,R30
; 0000 0125 ADCSRB=0x00;
	LDI  R30,LOW(0)
	STS  123,R30
; 0000 0126 
; 0000 0127 // ADC initialization
; 0000 0128 // ADC Clock frequency: 1000,000 kHz
; 0000 0129 // ADC Voltage Reference: AVCC pin
; 0000 012A // ADC Auto Trigger Source: None
; 0000 012B // Only the 8 most significant bits of
; 0000 012C // the AD conversion result are used
; 0000 012D // Digital input buffers on ADC0: On, ADC1: On, ADC2: On, ADC3: On
; 0000 012E // ADC4: On, ADC5: On
; 0000 012F DIDR0=0x00;
	STS  126,R30
; 0000 0130 ADMUX=ADC_VREF_TYPE & 0xff;
	LDI  R30,LOW(96)
	STS  124,R30
; 0000 0131 ADCSRA=0x83;
	LDI  R30,LOW(131)
	STS  122,R30
; 0000 0132 
; 0000 0133 // Global enable interrupts
; 0000 0134 #asm("sei")
	sei
; 0000 0135 
; 0000 0136 while (1)
; 0000 0137  {
; 0000 0138       // Place your code here
; 0000 0139 readsignal:
_0x1A:
; 0000 013A 
; 0000 013B            #asm("cli") // Global disable interrupts
	cli
; 0000 013C 
; 0000 013D read_adc(3);  //    
	LDI  R30,LOW(3)
	ST   -Y,R30
	RCALL _read_adc
; 0000 013E 
; 0000 013F       /*    
; 0000 0140       150
; 0000 0141       140
; 0000 0142       128
; 0000 0143       113
; 0000 0144       92
; 0000 0145       67
; 0000 0146       30
; 0000 0147       */
; 0000 0148 
; 0000 0149       if (ADCH<150)
	LDS  R26,121
	CPI  R26,LOW(0x96)
	BRSH _0x1B
; 0000 014A        {
; 0000 014B        if (ADCH<140)
	LDS  R26,121
	CPI  R26,LOW(0x8C)
	BRSH _0x1C
; 0000 014C         {
; 0000 014D         if (ADCH<128)
	LDS  R26,121
	CPI  R26,LOW(0x80)
	BRSH _0x1D
; 0000 014E          {
; 0000 014F          if (ADCH<113)
	LDS  R26,121
	CPI  R26,LOW(0x71)
	BRSH _0x1E
; 0000 0150           {
; 0000 0151           if (ADCH<92)
	LDS  R26,121
	CPI  R26,LOW(0x5C)
	BRSH _0x1F
; 0000 0152            {
; 0000 0153            if (ADCH<67)
	LDS  R26,121
	CPI  R26,LOW(0x43)
	BRSH _0x20
; 0000 0154             {
; 0000 0155             if (ADCH<30)
	LDS  R26,121
	CPI  R26,LOW(0x1E)
	BRSH _0x21
; 0000 0156 
; 0000 0157              {
; 0000 0158              //  4  A L R       7
; 0000 0159              //   30
; 0000 015A              // 
; 0000 015B 
; 0000 015C               muk[19]=30;
	LDI  R30,LOW(30)
	__PUTB1MN _muk,19
; 0000 015D               muk[21]=1;
	LDI  R30,LOW(1)
	RJMP _0x13F
; 0000 015E               goto exv;
; 0000 015F               }
; 0000 0160 
; 0000 0161             //  3  A L R        6
; 0000 0162             //   20
; 0000 0163             // 
; 0000 0164              muk[19]=20;
_0x21:
	LDI  R30,LOW(20)
	__PUTB1MN _muk,19
; 0000 0165              muk[21]=1;
	LDI  R30,LOW(1)
	RJMP _0x13F
; 0000 0166              goto exv;
; 0000 0167              }
; 0000 0168 
; 0000 0169            //  2  A L R         5
; 0000 016A            //   10
; 0000 016B            // 
; 0000 016C             muk[19]=10;
_0x20:
	LDI  R30,LOW(10)
	__PUTB1MN _muk,19
; 0000 016D             muk[21]=1;
	LDI  R30,LOW(1)
	RJMP _0x13F
; 0000 016E             goto exv;
; 0000 016F             }
; 0000 0170 
; 0000 0171           //  1  A L R          4
; 0000 0172           //   10
; 0000 0173           // 
; 0000 0174            muk[19]=0;
_0x1F:
	LDI  R30,LOW(0)
	__PUTB1MN _muk,19
; 0000 0175            muk[21]=1;
	LDI  R30,LOW(1)
	RJMP _0x13F
; 0000 0176            goto exv;
; 0000 0177            }
; 0000 0178 
; 0000 0179          //  4  A L R           3
; 0000 017A          //   30
; 0000 017B          // 
; 0000 017C           muk[19]=30;
_0x1E:
	LDI  R30,LOW(30)
	RJMP _0x140
; 0000 017D           muk[21]=0;
; 0000 017E           goto exv;
; 0000 017F           }
; 0000 0180 
; 0000 0181         //  3  A L R            2
; 0000 0182         //   20
; 0000 0183         // 
; 0000 0184          muk[19]=20;
_0x1D:
	LDI  R30,LOW(20)
	RJMP _0x140
; 0000 0185          muk[21]=0;
; 0000 0186          goto exv;
; 0000 0187          }
; 0000 0188 
; 0000 0189        //  2  A L R             1
; 0000 018A        //   10
; 0000 018B        // 
; 0000 018C         muk[19]=10;
_0x1C:
	LDI  R30,LOW(10)
	RJMP _0x140
; 0000 018D         muk[21]=0;
; 0000 018E         goto exv;
; 0000 018F         }
; 0000 0190 
; 0000 0191       //  1  A L R              0
; 0000 0192       //   0
; 0000 0193       // 
; 0000 0194 
; 0000 0195       muk[19]=0;
_0x1B:
	LDI  R30,LOW(0)
_0x140:
	__PUTB1MN _muk,19
; 0000 0196       muk[21]=0;
	LDI  R30,LOW(0)
_0x13F:
	__PUTB1MN _muk,21
; 0000 0197 
; 0000 0198 
; 0000 0199 
; 0000 019A 
; 0000 019B                        // Global enable interrupts
; 0000 019C exv:            #asm("sei")
	sei
; 0000 019D 
; 0000 019E                signal=0;
	LDI  R30,LOW(0)
	ST   Y,R30
; 0000 019F            //    signal
; 0000 01A0            //0
; 0000 01A1            //0
; 0000 01A2            //0
; 0000 01A3            //0 Re
; 0000 01A4            //0 L
; 0000 01A5            //0 R
; 0000 01A6            //0 A
; 0000 01A7            //0 I
; 0000 01A8 
; 0000 01A9      //     (pd7) L
; 0000 01AA            s=PIND;
	IN   R30,0x9
	STD  Y+3,R30
; 0000 01AB            s=s&128;
	ANDI R30,LOW(0x80)
	STD  Y+3,R30
; 0000 01AC             if (s>0)
	LDD  R26,Y+3
	CPI  R26,LOW(0x1)
	BRLO _0x23
; 0000 01AD            {
; 0000 01AE             signal=signal|8;
	LD   R30,Y
	ORI  R30,8
	ST   Y,R30
; 0000 01AF            }
; 0000 01B0 
; 0000 01B1      //     (pd6) R
; 0000 01B2            s=PIND;
_0x23:
	IN   R30,0x9
	STD  Y+3,R30
; 0000 01B3            s=s&64;
	ANDI R30,LOW(0x40)
	STD  Y+3,R30
; 0000 01B4             if (s>0)
	LDD  R26,Y+3
	CPI  R26,LOW(0x1)
	BRLO _0x24
; 0000 01B5            {
; 0000 01B6             signal=signal|4;
	LD   R30,Y
	ORI  R30,4
	ST   Y,R30
; 0000 01B7            }
; 0000 01B8 
; 0000 01B9      //     (pd5) A
; 0000 01BA            s=PIND;
_0x24:
	IN   R30,0x9
	STD  Y+3,R30
; 0000 01BB            s=s&32;
	ANDI R30,LOW(0x20)
	STD  Y+3,R30
; 0000 01BC             if (s>0)
	LDD  R26,Y+3
	CPI  R26,LOW(0x1)
	BRLO _0x25
; 0000 01BD            {
; 0000 01BE             signal=signal|2;
	LD   R30,Y
	ORI  R30,2
	ST   Y,R30
; 0000 01BF            }
; 0000 01C0 
; 0000 01C1      //     (pd4) I
; 0000 01C2            s=PIND;
_0x25:
	IN   R30,0x9
	STD  Y+3,R30
; 0000 01C3            s=s&16;
	ANDI R30,LOW(0x10)
	STD  Y+3,R30
; 0000 01C4             if (s>0)
	LDD  R26,Y+3
	CPI  R26,LOW(0x1)
	BRLO _0x26
; 0000 01C5            {
; 0000 01C6             signal=signal|1;
	LD   R30,Y
	ORI  R30,1
	ST   Y,R30
; 0000 01C7            }
; 0000 01C8 
; 0000 01C9      //     (pd3) rear
; 0000 01CA            s=PIND;
_0x26:
	IN   R30,0x9
	STD  Y+3,R30
; 0000 01CB            s=s&8;
	ANDI R30,LOW(0x8)
	STD  Y+3,R30
; 0000 01CC             if (s>0)
	LDD  R26,Y+3
	CPI  R26,LOW(0x1)
	BRLO _0x27
; 0000 01CD            {
; 0000 01CE             signal=signal|16;
	LD   R30,Y
	ORI  R30,0x10
	ST   Y,R30
; 0000 01CF            }
; 0000 01D0 
; 0000 01D1        if (signal==0)
_0x27:
	LD   R30,Y
	CPI  R30,0
	BRNE _0x28
; 0000 01D2        {
; 0000 01D3         s=muk[2]+muk[5]+muk[8]+muk[11]+muk[14]+muk[17];
	CALL SUBOPT_0x3
	CALL SUBOPT_0x4
; 0000 01D4         if (s==0)
	BRNE _0x29
; 0000 01D5          {
; 0000 01D6 
; 0000 01D7           SMCR=5; //power down mode
	LDI  R30,LOW(5)
	OUT  0x33,R30
; 0000 01D8           #asm("sleep")
	sleep
; 0000 01D9 
; 0000 01DA          }
; 0000 01DB        }
_0x29:
; 0000 01DC 
; 0000 01DD 
; 0000 01DE 
; 0000 01DF 
; 0000 01E0        mod=1; // 
_0x28:
	LDI  R30,LOW(1)
	STD  Y+1,R30
; 0000 01E1 endd:  switch (mod)
_0x2A:
	LDD  R30,Y+1
	LDI  R31,0
; 0000 01E2   {
; 0000 01E3         case 1:
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BREQ PC+3
	JMP _0x2E
; 0000 01E4     {
; 0000 01E5          s=signal;
	CALL SUBOPT_0x5
; 0000 01E6          s=s&2;
; 0000 01E7           if (s==2)
	BRNE _0x2F
; 0000 01E8          {
; 0000 01E9           if (muk[2]==4)
	__GETB2MN _muk,2
	CPI  R26,LOW(0x4)
	BRNE _0x30
; 0000 01EA            {
; 0000 01EB             muk[18]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,18
; 0000 01EC            }
; 0000 01ED          }
_0x30:
; 0000 01EE                      #asm("cli") // Global disable interrupts
_0x2F:
	cli
; 0000 01EF 
; 0000 01F0 read_adc(4);  //     
	LDI  R30,LOW(4)
	ST   -Y,R30
	RCALL _read_adc
; 0000 01F1               // 
; 0000 01F2 
; 0000 01F3               // Global enable interrupts
; 0000 01F4               #asm("sei")
	sei
; 0000 01F5          if (ADCH<100)
	LDS  R26,121
	CPI  R26,LOW(0x64)
	BRSH _0x31
; 0000 01F6           {
; 0000 01F7            muk [18]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,18
; 0000 01F8           }
; 0000 01F9 
; 0000 01FA           if ( muk[18]==1)
_0x31:
	__GETB2MN _muk,18
	CPI  R26,LOW(0x1)
	BRNE _0x32
; 0000 01FB            {
; 0000 01FC             s=signal;
	LD   R30,Y
	STD  Y+3,R30
; 0000 01FD             s=s|2;
	ORI  R30,2
	STD  Y+3,R30
; 0000 01FE             signal=s;
	ST   Y,R30
; 0000 01FF            }
; 0000 0200 
; 0000 0201           s=signal;
_0x32:
	CALL SUBOPT_0x5
; 0000 0202           s=s&2;
; 0000 0203          if (s==2)
	BRNE _0x33
; 0000 0204         {
; 0000 0205            s=muk[5]+muk[8]+muk[11]+muk[14]+muk[17];
	CALL SUBOPT_0x6
; 0000 0206           if (s!=0)
	BREQ _0x34
; 0000 0207          {
; 0000 0208           signal=signal&3;// PL PR Re
	LD   R30,Y
	ANDI R30,LOW(0x3)
	CALL SUBOPT_0x7
; 0000 0209           muk[3]=0;  // L
; 0000 020A           muk[4]=3;
; 0000 020B           muk[5]=0;
; 0000 020C           muk[6]=0;  // R
; 0000 020D           muk[7]=3;
; 0000 020E           muk[8]=0;
; 0000 020F           goto nex1;
	RJMP _0x35
; 0000 0210          }
; 0000 0211 
; 0000 0212           if (muk[2]==3)
_0x34:
	__GETB2MN _muk,2
	CPI  R26,LOW(0x3)
	BRNE _0x36
; 0000 0213           //    
; 0000 0214           {
; 0000 0215            #asm("cli") // Global disable interrupts
	cli
; 0000 0216 
; 0000 0217 read_adc(4);  //     
	LDI  R30,LOW(4)
	ST   -Y,R30
	RCALL _read_adc
; 0000 0218               // 
; 0000 0219               // Global enable interrupts
; 0000 021A               #asm("sei")
	sei
; 0000 021B           if (ADCH>100)
	LDS  R26,121
	CPI  R26,LOW(0x65)
	BRLO _0x37
; 0000 021C            {
; 0000 021D             muk [18]=1;
	LDI  R30,LOW(1)
	__PUTB1MN _muk,18
; 0000 021E            }
; 0000 021F 
; 0000 0220            muk[0]=3;
_0x37:
	LDI  R30,LOW(3)
	STS  _muk,R30
; 0000 0221            }
; 0000 0222          if (muk[2]==4)
_0x36:
	__GETB2MN _muk,2
	CPI  R26,LOW(0x4)
	BRNE _0x38
; 0000 0223          //   ,  
; 0000 0224          //    
; 0000 0225           {
; 0000 0226            muk[0]=4;
	RCALL SUBOPT_0x8
; 0000 0227            muk[1]=1;
; 0000 0228           }
; 0000 0229 
; 0000 022A          if (muk[2]==0)
_0x38:
	__GETB1MN _muk,2
	CPI  R30,0
	BRNE _0x39
; 0000 022B          // 
; 0000 022C          //     
; 0000 022D           {
; 0000 022E            muk[0]=3;
	LDI  R30,LOW(3)
	STS  _muk,R30
; 0000 022F            muk[1]=3;
	__PUTB1MN _muk,1
; 0000 0230           }
; 0000 0231 
; 0000 0232           goto nex1;
_0x39:
	RJMP _0x35
; 0000 0233           }
; 0000 0234 
; 0000 0235           //    0
; 0000 0236 
; 0000 0237           if (muk[2]==3)
_0x33:
	__GETB2MN _muk,2
	CPI  R26,LOW(0x3)
	BRNE _0x3A
; 0000 0238           //       ,
; 0000 0239           //  
; 0000 023A            {
; 0000 023B             muk[0]=3;
	LDI  R30,LOW(3)
	STS  _muk,R30
; 0000 023C             mod=2;
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 023D             goto endd;
	RJMP _0x2A
; 0000 023E            }
; 0000 023F          if (muk[2]==4)
_0x3A:
	__GETB2MN _muk,2
	CPI  R26,LOW(0x4)
	BRNE _0x3B
; 0000 0240          //      ,
; 0000 0241          // ,   0
; 0000 0242           {
; 0000 0243            muk[0]=0;
	LDI  R30,LOW(0)
	STS  _muk,R30
; 0000 0244            muk[1]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,1
; 0000 0245            muk[2]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,2
; 0000 0246           }
; 0000 0247 
; 0000 0248 
; 0000 0249            //  L  R
; 0000 024A            s=signal;
_0x3B:
	RCALL SUBOPT_0x9
; 0000 024B            s=s&13;
; 0000 024C           if (s==13)
	CPI  R26,LOW(0xD)
	BRNE _0x3C
; 0000 024D           {
; 0000 024E            s=muk[5]+muk[8]+muk[11]+muk[14]+muk[17];
	RCALL SUBOPT_0x6
; 0000 024F           if (s!=0)
	BREQ _0x3D
; 0000 0250            {
; 0000 0251             signal=signal&13;//  PL PR Re L R
	LD   R30,Y
	ANDI R30,LOW(0xD)
	RCALL SUBOPT_0x7
; 0000 0252             muk[3]=0;  // L
; 0000 0253             muk[4]=3;
; 0000 0254             muk[5]=0;
; 0000 0255             muk[6]=0;  // R
; 0000 0256             muk[7]=3;
; 0000 0257             muk[8]=0;
; 0000 0258             goto nex1;
	RJMP _0x35
; 0000 0259            }
; 0000 025A 
; 0000 025B            muk[0]=4;//     
_0x3D:
	RCALL SUBOPT_0x8
; 0000 025C            muk[1]=1;
; 0000 025D            mod=2;
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 025E            goto endd;
	RJMP _0x2A
; 0000 025F           }
; 0000 0260 
; 0000 0261            //  L
; 0000 0262          s=signal;
_0x3C:
	RCALL SUBOPT_0xA
; 0000 0263          s=s&9;
; 0000 0264 
; 0000 0265          if (s==9)
	CPI  R26,LOW(0x9)
	BRNE _0x3E
; 0000 0266        {
; 0000 0267           s=muk[8]+muk[11]+muk[14]+muk[17];
	__GETB2MN _muk,8
	RCALL SUBOPT_0x4
; 0000 0268          if (s!=0)
	BREQ _0x3F
; 0000 0269          {
; 0000 026A           signal=signal&9;//  PL PR Re  R  L
	LD   R30,Y
	ANDI R30,LOW(0x9)
	ST   Y,R30
; 0000 026B           muk[6]=0;  // R
	RCALL SUBOPT_0xB
; 0000 026C           muk[7]=3;
; 0000 026D           muk[8]=0;
; 0000 026E           goto nex1;
	RJMP _0x35
; 0000 026F          }
; 0000 0270 
; 0000 0271          if (muk[5]==3)
_0x3F:
	__GETB2MN _muk,5
	CPI  R26,LOW(0x3)
	BRNE _0x40
; 0000 0272          //  L  
; 0000 0273           {
; 0000 0274            muk[3]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,3
; 0000 0275           }
; 0000 0276 
; 0000 0277          if (muk[5]==4)
_0x40:
	__GETB2MN _muk,5
	CPI  R26,LOW(0x4)
	BRNE _0x41
; 0000 0278          //  L ,  
; 0000 0279           {
; 0000 027A            muk[3]=4;
	LDI  R30,LOW(4)
	__PUTB1MN _muk,3
; 0000 027B            muk[4]=1;//    
	LDI  R30,LOW(1)
	__PUTB1MN _muk,4
; 0000 027C           }
; 0000 027D 
; 0000 027E          //  L    0
; 0000 027F          //    
; 0000 0280          if (muk[5]==0)
_0x41:
	__GETB1MN _muk,5
	CPI  R30,0
	BRNE _0x42
; 0000 0281           {
; 0000 0282            muk[3]=3;
	LDI  R30,LOW(3)
	RCALL SUBOPT_0xC
; 0000 0283            muk[4]=3;
; 0000 0284           }
; 0000 0285 
; 0000 0286           mod=2;
_0x42:
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 0287           goto endd;
	RJMP _0x2A
; 0000 0288        }
; 0000 0289 
; 0000 028A        //  R
; 0000 028B        s=signal;
_0x3E:
	RCALL SUBOPT_0xD
; 0000 028C        s=s&5;
; 0000 028D        if (s==5)
	CPI  R26,LOW(0x5)
	BRNE _0x43
; 0000 028E       {
; 0000 028F          s=muk[5]+muk[11]+muk[14]+muk[17];
	__GETB2MN _muk,5
	RCALL SUBOPT_0x4
; 0000 0290         if (s!=0)
	BREQ _0x44
; 0000 0291          {
; 0000 0292           signal=signal&5;//  PL PR Re  R L
	LD   R30,Y
	ANDI R30,LOW(0x5)
	ST   Y,R30
; 0000 0293           muk[3]=0;  // L
	LDI  R30,LOW(0)
	RCALL SUBOPT_0xC
; 0000 0294           muk[4]=3;
; 0000 0295           muk[5]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,5
; 0000 0296           goto nex1;
	RJMP _0x35
; 0000 0297          }
; 0000 0298 
; 0000 0299          if (muk[8]==3)
_0x44:
	__GETB2MN _muk,8
	CPI  R26,LOW(0x3)
	BRNE _0x45
; 0000 029A          //  R  
; 0000 029B         {
; 0000 029C          muk[6]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,6
; 0000 029D         }
; 0000 029E 
; 0000 029F          if (muk[8]==4)
_0x45:
	__GETB2MN _muk,8
	CPI  R26,LOW(0x4)
	BRNE _0x46
; 0000 02A0          //  R ,  
; 0000 02A1           {
; 0000 02A2            muk[6]=4;
	LDI  R30,LOW(4)
	__PUTB1MN _muk,6
; 0000 02A3            muk[7]=1;//    
	LDI  R30,LOW(1)
	__PUTB1MN _muk,7
; 0000 02A4           }
; 0000 02A5          //  R    0
; 0000 02A6          //    
; 0000 02A7          if (muk[8]==0)
_0x46:
	__GETB1MN _muk,8
	CPI  R30,0
	BRNE _0x47
; 0000 02A8           {
; 0000 02A9            muk[6]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,6
; 0000 02AA            muk[7]=3;
	__PUTB1MN _muk,7
; 0000 02AB           }
; 0000 02AC 
; 0000 02AD          mod=2;
_0x47:
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 02AE          goto endd;
	RJMP _0x2A
; 0000 02AF       }
; 0000 02B0 
; 0000 02B1         // Re
; 0000 02B2         s=signal;
_0x43:
	LD   R30,Y
	STD  Y+3,R30
; 0000 02B3         s=s&17;
	ANDI R30,LOW(0x11)
	STD  Y+3,R30
; 0000 02B4        if (s==17)
	LDD  R26,Y+3
	CPI  R26,LOW(0x11)
	BRNE _0x48
; 0000 02B5       {
; 0000 02B6        s=muk[2]+muk[5]+muk[8]+muk[14]+muk[17];
	RCALL SUBOPT_0x3
	__GETB1MN _muk,14
	ADD  R26,R30
	RCALL SUBOPT_0xE
; 0000 02B7 
; 0000 02B8          if (s!=0)
	BREQ _0x49
; 0000 02B9          {
; 0000 02BA           goto nex1;
	RJMP _0x35
; 0000 02BB          }
; 0000 02BC 
; 0000 02BD          if (muk[11]==2)
_0x49:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x2)
	BRNE _0x4A
; 0000 02BE           //  ,   
; 0000 02BF            {
; 0000 02C0             muk[9]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,9
; 0000 02C1            }
; 0000 02C2 
; 0000 02C3          if (muk[11]==3)
_0x4A:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x3)
	BRNE _0x4B
; 0000 02C4           //   ,  
; 0000 02C5            {
; 0000 02C6             muk[9]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,9
; 0000 02C7            }
; 0000 02C8 
; 0000 02C9          if (muk[11]==4)
_0x4B:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x4)
	BRNE _0x4C
; 0000 02CA          //     1
; 0000 02CB          // 
; 0000 02CC           {
; 0000 02CD            muk[9]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0xF
; 0000 02CE            muk[10]=1;
; 0000 02CF           }
; 0000 02D0          if (muk[11]==1)
_0x4C:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x1)
	BREQ _0x141
; 0000 02D1          //    
; 0000 02D2          {
; 0000 02D3           muk[9]=1; //  
; 0000 02D4           muk[10]=1;
; 0000 02D5           goto log1;
; 0000 02D6          }
; 0000 02D7 
; 0000 02D8           if (muk[11]==0)
	__GETB1MN _muk,11
	CPI  R30,0
	BRNE _0x4F
; 0000 02D9           //     
; 0000 02DA            {
; 0000 02DB             if (muk[21]==1)
	__GETB2MN _muk,21
	CPI  R26,LOW(0x1)
	BRNE _0x50
; 0000 02DC             // 
; 0000 02DD             {
; 0000 02DE              muk[9]=2;
	LDI  R30,LOW(2)
	RJMP _0x142
; 0000 02DF              muk[10]=1;
; 0000 02E0              goto log1;
; 0000 02E1             }
; 0000 02E2 
; 0000 02E3             muk[9]=1; //  
_0x50:
_0x141:
	LDI  R30,LOW(1)
_0x142:
	__PUTB1MN _muk,9
; 0000 02E4             muk[10]=1;
	LDI  R30,LOW(1)
	__PUTB1MN _muk,10
; 0000 02E5            }
; 0000 02E6 
; 0000 02E7 log1:    mod=2;
_0x4F:
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 02E8          goto endd;
	RJMP _0x2A
; 0000 02E9         }
; 0000 02EA 
; 0000 02EB       //  PL  PR
; 0000 02EC       s=signal;
_0x48:
	RCALL SUBOPT_0x9
; 0000 02ED       s=s&13;
; 0000 02EE        if (s==12)
	CPI  R26,LOW(0xC)
	BRNE _0x51
; 0000 02EF        {
; 0000 02F0         s=muk[14]+muk[17];
	__GETB2MN _muk,14
	RCALL SUBOPT_0xE
; 0000 02F1 
; 0000 02F2         if (s!=0)
	BREQ _0x52
; 0000 02F3          {
; 0000 02F4           signal=signal&13;//  PL PR Re L R
	LD   R30,Y
	ANDI R30,LOW(0xD)
	ST   Y,R30
; 0000 02F5           goto nex1;
	RJMP _0x35
; 0000 02F6          }
; 0000 02F7 
; 0000 02F8          mod=2;
_0x52:
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 02F9          goto endd;
	RJMP _0x2A
; 0000 02FA        }
; 0000 02FB 
; 0000 02FC       //  
; 0000 02FD       s=signal;
_0x51:
	RCALL SUBOPT_0xD
; 0000 02FE       s=s&5;
; 0000 02FF       if (s==4)
	CPI  R26,LOW(0x4)
	BRNE _0x53
; 0000 0300        {
; 0000 0301         s=muk[2]+muk[5]+muk[8]+muk[14]+muk[11];
	RCALL SUBOPT_0x3
	__GETB1MN _muk,14
	RCALL SUBOPT_0x10
; 0000 0302 
; 0000 0303         if (s!=0)
	BREQ _0x54
; 0000 0304         {
; 0000 0305          goto nex1;
	RJMP _0x35
; 0000 0306         }
; 0000 0307 
; 0000 0308          if (muk[17]==2)
_0x54:
	__GETB2MN _muk,17
	CPI  R26,LOW(0x2)
	BRNE _0x55
; 0000 0309          //  ,   
; 0000 030A           {
; 0000 030B            muk[15]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,15
; 0000 030C           }
; 0000 030D 
; 0000 030E         if (muk[17]==3)
_0x55:
	__GETB2MN _muk,17
	CPI  R26,LOW(0x3)
	BRNE _0x56
; 0000 030F         //   ,  
; 0000 0310          {
; 0000 0311           muk[15]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,15
; 0000 0312          }
; 0000 0313 
; 0000 0314         if (muk[17]==4)
_0x56:
	__GETB2MN _muk,17
	CPI  R26,LOW(0x4)
	BRNE _0x57
; 0000 0315         //     1
; 0000 0316         // 
; 0000 0317          {
; 0000 0318           muk[15]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x11
; 0000 0319           muk[16]=1;
; 0000 031A          }
; 0000 031B 
; 0000 031C          if (muk[17]==0)
_0x57:
	__GETB1MN _muk,17
	CPI  R30,0
	BRNE _0x58
; 0000 031D         //  , 
; 0000 031E           {
; 0000 031F            muk[15]=1; //  
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x11
; 0000 0320            muk[16]=1;
; 0000 0321           }
; 0000 0322 
; 0000 0323         mod=2;
_0x58:
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 0324         goto endd;
	RJMP _0x2A
; 0000 0325         }
; 0000 0326 
; 0000 0327       //  
; 0000 0328       s=signal;
_0x53:
	RCALL SUBOPT_0xA
; 0000 0329       s=s&9;
; 0000 032A        if (s==8)
	CPI  R26,LOW(0x8)
	BRNE _0x59
; 0000 032B         {
; 0000 032C          s=muk[2]+muk[5]+muk[8]+muk[17]+muk[11];
	RCALL SUBOPT_0x3
	__GETB1MN _muk,17
	RCALL SUBOPT_0x10
; 0000 032D 
; 0000 032E          if (s!=0)
	BRNE _0x35
; 0000 032F           {
; 0000 0330            goto nex1;
; 0000 0331           }
; 0000 0332 
; 0000 0333          if (muk[14]==2)
	__GETB2MN _muk,14
	CPI  R26,LOW(0x2)
	BRNE _0x5B
; 0000 0334          //  ,   
; 0000 0335           {
; 0000 0336            muk[12]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,12
; 0000 0337           }
; 0000 0338 
; 0000 0339          if (muk[14]==3)
_0x5B:
	__GETB2MN _muk,14
	CPI  R26,LOW(0x3)
	BRNE _0x5C
; 0000 033A          //   ,  
; 0000 033B          {
; 0000 033C           muk[12]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,12
; 0000 033D          }
; 0000 033E 
; 0000 033F          if (muk[14]==4)
_0x5C:
	__GETB2MN _muk,14
	CPI  R26,LOW(0x4)
	BRNE _0x5D
; 0000 0340          //     1
; 0000 0341          // 
; 0000 0342           {
; 0000 0343            muk[12]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x12
; 0000 0344            muk[13]=1;
; 0000 0345           }
; 0000 0346 
; 0000 0347          if (muk[14]==0)
_0x5D:
	__GETB1MN _muk,14
	CPI  R30,0
	BRNE _0x5E
; 0000 0348          //  , 
; 0000 0349           {
; 0000 034A            muk[12]=1; //  
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x12
; 0000 034B            muk[13]=1;
; 0000 034C           }
; 0000 034D 
; 0000 034E           mod=2;
_0x5E:
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 034F           goto endd;
	RJMP _0x2A
; 0000 0350         }
; 0000 0351 
; 0000 0352 nex1:  // L R RE PL PR
_0x59:
_0x35:
; 0000 0353 
; 0000 0354        // L
; 0000 0355        if (muk[5]==3)
	__GETB2MN _muk,5
	CPI  R26,LOW(0x3)
	BRNE _0x5F
; 0000 0356        //     L  ,
; 0000 0357        //   
; 0000 0358         {
; 0000 0359          muk[3]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,3
; 0000 035A         }
; 0000 035B 
; 0000 035C        if (muk[5]==4)
_0x5F:
	__GETB2MN _muk,5
	CPI  R26,LOW(0x4)
	BRNE _0x60
; 0000 035D        //     L  ,
; 0000 035E        // ,   0
; 0000 035F         {
; 0000 0360          muk[3]=0;
	LDI  R30,LOW(0)
	RCALL SUBOPT_0xC
; 0000 0361          muk[4]=3;
; 0000 0362          muk[5]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,5
; 0000 0363         }
; 0000 0364 
; 0000 0365         // R
; 0000 0366         if (muk[8]==3)
_0x60:
	__GETB2MN _muk,8
	CPI  R26,LOW(0x3)
	BRNE _0x61
; 0000 0367         //     R  ,
; 0000 0368         //   
; 0000 0369          {
; 0000 036A           muk[6]=3;
	LDI  R30,LOW(3)
	__PUTB1MN _muk,6
; 0000 036B          }
; 0000 036C 
; 0000 036D        if (muk[8]==4)
_0x61:
	__GETB2MN _muk,8
	CPI  R26,LOW(0x4)
	BRNE _0x62
; 0000 036E        //     R  ,
; 0000 036F        // ,   0
; 0000 0370         {
; 0000 0371          muk[6]=0;
	RCALL SUBOPT_0xB
; 0000 0372          muk[7]=3;
; 0000 0373          muk[8]=0;
; 0000 0374         }
; 0000 0375 
; 0000 0376        // Re
; 0000 0377          if (muk[11]==1)
_0x62:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x1)
	BRNE _0x63
; 0000 0378        //     
; 0000 0379        //     1
; 0000 037A         {
; 0000 037B          muk[9]=0;
	LDI  R30,LOW(0)
	RCALL SUBOPT_0xF
; 0000 037C          muk[10]=1;
; 0000 037D          muk[11]=0;        }
	LDI  R30,LOW(0)
	__PUTB1MN _muk,11
; 0000 037E 
; 0000 037F        if (muk[11]==2)
_0x63:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x2)
	BRNE _0x64
; 0000 0380        //     
; 0000 0381        //  
; 0000 0382         {
; 0000 0383          muk[9]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,9
; 0000 0384         }
; 0000 0385 
; 0000 0386        if (muk[11]==3)
_0x64:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x3)
	BRNE _0x65
; 0000 0387        //     
; 0000 0388        //  
; 0000 0389         {
; 0000 038A          muk[9]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,9
; 0000 038B         }
; 0000 038C 
; 0000 038D        if (muk[11]==4)
_0x65:
	__GETB2MN _muk,11
	CPI  R26,LOW(0x4)
	BRNE _0x66
; 0000 038E        //
; 0000 038F        //     
; 0000 0390        //  
; 0000 0391         {
; 0000 0392          muk[9]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,9
; 0000 0393         }
; 0000 0394 
; 0000 0395        if (muk[11]==0)
_0x66:
	__GETB1MN _muk,11
	CPI  R30,0
	BRNE _0x67
; 0000 0396        //  
; 0000 0397        //     1
; 0000 0398         {
; 0000 0399          muk[9]=0;
	LDI  R30,LOW(0)
	RCALL SUBOPT_0xF
; 0000 039A          muk[10]=1;
; 0000 039B         }
; 0000 039C 
; 0000 039D        // PR
; 0000 039E        if (muk[17]==2)
_0x67:
	__GETB2MN _muk,17
	CPI  R26,LOW(0x2)
	BRNE _0x68
; 0000 039F        //  PL   
; 0000 03A0        //  
; 0000 03A1         {
; 0000 03A2          muk[15]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,15
; 0000 03A3         }
; 0000 03A4 
; 0000 03A5        if (muk[17]==3)
_0x68:
	__GETB2MN _muk,17
	CPI  R26,LOW(0x3)
	BRNE _0x69
; 0000 03A6        //  PR   
; 0000 03A7        //  
; 0000 03A8         {
; 0000 03A9          muk[15]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,15
; 0000 03AA         }
; 0000 03AB 
; 0000 03AC        if (muk[17]==4)
_0x69:
	__GETB2MN _muk,17
	CPI  R26,LOW(0x4)
	BRNE _0x6A
; 0000 03AD        //  PR   
; 0000 03AE        //  
; 0000 03AF         {
; 0000 03B0          muk[15]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,15
; 0000 03B1         }
; 0000 03B2 
; 0000 03B3        if (muk[17]==0)
_0x6A:
	__GETB1MN _muk,17
	CPI  R30,0
	BRNE _0x6B
; 0000 03B4        //  
; 0000 03B5        //     1
; 0000 03B6         {
; 0000 03B7          muk[15]=0;
	LDI  R30,LOW(0)
	RCALL SUBOPT_0x11
; 0000 03B8          muk[16]=1;
; 0000 03B9         }
; 0000 03BA 
; 0000 03BB        // PL
; 0000 03BC        if (muk[14]==2)
_0x6B:
	__GETB2MN _muk,14
	CPI  R26,LOW(0x2)
	BRNE _0x6C
; 0000 03BD        //  PL   
; 0000 03BE        //  
; 0000 03BF         {
; 0000 03C0          muk[12]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,12
; 0000 03C1         }
; 0000 03C2 
; 0000 03C3        if (muk[14]==3)
_0x6C:
	__GETB2MN _muk,14
	CPI  R26,LOW(0x3)
	BRNE _0x6D
; 0000 03C4        //  PL   
; 0000 03C5        //  
; 0000 03C6         {
; 0000 03C7          muk[12]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,12
; 0000 03C8         }
; 0000 03C9 
; 0000 03CA        if (muk[14]==4)
_0x6D:
	__GETB2MN _muk,14
	CPI  R26,LOW(0x4)
	BRNE _0x6E
; 0000 03CB        //  PL   
; 0000 03CC        //  
; 0000 03CD         {
; 0000 03CE          muk[12]=5;
	LDI  R30,LOW(5)
	__PUTB1MN _muk,12
; 0000 03CF         }
; 0000 03D0 
; 0000 03D1        if (muk[14]==0)
_0x6E:
	__GETB1MN _muk,14
	CPI  R30,0
	BRNE _0x6F
; 0000 03D2        //  
; 0000 03D3        //     1
; 0000 03D4         {
; 0000 03D5          muk[12]=0;
	LDI  R30,LOW(0)
	RCALL SUBOPT_0x12
; 0000 03D6          muk[13]=1;
; 0000 03D7         }
; 0000 03D8 
; 0000 03D9         mod=2;
_0x6F:
	LDI  R30,LOW(2)
	STD  Y+1,R30
; 0000 03DA         goto endd;
	RJMP _0x2A
; 0000 03DB        }
; 0000 03DC 
; 0000 03DD        case 2:
_0x2E:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x71
; 0000 03DE 
; 0000 03DF        //
; 0000 03E0    {
; 0000 03E1     d=220;
	LDI  R30,LOW(220)
	STD  Y+5,R30
; 0000 03E2     mod=3;
	LDI  R30,LOW(3)
	STD  Y+1,R30
; 0000 03E3     goto sw2;
	RJMP _0x72
; 0000 03E4    }
; 0000 03E5 
; 0000 03E6        case 3:
_0x71:
	CPI  R30,LOW(0x3)
	LDI  R26,HIGH(0x3)
	CPC  R31,R26
	BRNE _0x74
; 0000 03E7        // L 
; 0000 03E8    {
; 0000 03E9     d=230;
	LDI  R30,LOW(230)
	STD  Y+5,R30
; 0000 03EA     mod=4;
	LDI  R30,LOW(4)
	STD  Y+1,R30
; 0000 03EB     goto sw2;
	RJMP _0x72
; 0000 03EC    }
; 0000 03ED 
; 0000 03EE        case 4:
_0x74:
	CPI  R30,LOW(0x4)
	LDI  R26,HIGH(0x4)
	CPC  R31,R26
	BRNE _0x76
; 0000 03EF        // R 
; 0000 03F0    {
; 0000 03F1     d=240;
	LDI  R30,LOW(240)
	STD  Y+5,R30
; 0000 03F2     mod=5;
	LDI  R30,LOW(5)
	STD  Y+1,R30
; 0000 03F3     goto sw2;
	RJMP _0x72
; 0000 03F4    }
; 0000 03F5        case 5:
_0x76:
	CPI  R30,LOW(0x5)
	LDI  R26,HIGH(0x5)
	CPC  R31,R26
	BRNE _0x78
; 0000 03F6        // 
; 0000 03F7    {
; 0000 03F8     d=200;
	LDI  R30,LOW(200)
	STD  Y+5,R30
; 0000 03F9     mod=6;
	LDI  R30,LOW(6)
	STD  Y+1,R30
; 0000 03FA     goto sw2;
	RJMP _0x72
; 0000 03FB    }
; 0000 03FC        case 6:
_0x78:
	CPI  R30,LOW(0x6)
	LDI  R26,HIGH(0x6)
	CPC  R31,R26
	BRNE _0x7A
; 0000 03FD 
; 0000 03FE        // 
; 0000 03FF    {
; 0000 0400     d=190;
	LDI  R30,LOW(190)
	STD  Y+5,R30
; 0000 0401     mod=7;
	LDI  R30,LOW(7)
	STD  Y+1,R30
; 0000 0402     goto sw2;
	RJMP _0x72
; 0000 0403    }
; 0000 0404        case 7:
_0x7A:
	CPI  R30,LOW(0x7)
	LDI  R26,HIGH(0x7)
	CPC  R31,R26
	BRNE _0x7C
; 0000 0405         // 
; 0000 0406 
; 0000 0407    {
; 0000 0408     d=210;
	LDI  R30,LOW(210)
	STD  Y+5,R30
; 0000 0409     mod=255;
	LDI  R30,LOW(255)
	STD  Y+1,R30
; 0000 040A     goto sw2;
	RJMP _0x72
; 0000 040B    }
; 0000 040C 
; 0000 040D 
; 0000 040E        case 255:
_0x7C:
	CPI  R30,LOW(0xFF)
	LDI  R26,HIGH(0xFF)
	CPC  R31,R26
	BRNE _0x2D
; 0000 040F        //     
; 0000 0410    {
; 0000 0411     goto readsignal;
	RJMP _0x1A
; 0000 0412    }
; 0000 0413 
; 0000 0414 
; 0000 0415 
; 0000 0416   }
_0x2D:
; 0000 0417    goto readsignal;
	RJMP _0x1A
; 0000 0418 
; 0000 0419 
; 0000 041A 
; 0000 041B 
; 0000 041C sw2:   switch (d)
_0x72:
	LDD  R30,Y+5
	LDI  R31,0
; 0000 041D   {
; 0000 041E      //   11111111111111111111
; 0000 041F      //   260 +60 = 0.9  =  
; 0000 0420 
; 0000 0421     case 10:
	CPI  R30,LOW(0xA)
	LDI  R26,HIGH(0xA)
	CPC  R31,R26
	BRNE _0x82
; 0000 0422      {
; 0000 0423       s1=0;
	LDI  R18,LOW(0)
; 0000 0424       e1=20;
	LDI  R21,LOW(20)
; 0000 0425       t1=1;
	RCALL SUBOPT_0x13
; 0000 0426       tf1=130; //<(c1+c2+...)/2 ..   
; 0000 0427        //   2 ()  f=1
; 0000 0428       tf2=65;  //<(c1+c2+...)/4    
; 0000 0429        //   2 ()  f=2
; 0000 042A        //f1=1   , f=2 - 
; 0000 042B       tf3=tf2;
; 0000 042C       tf4=tf2;
; 0000 042D       c=21;
	LDI  R30,LOW(21)
	STD  Y+6,R30
; 0000 042E       d=11;
	LDI  R30,LOW(11)
	STD  Y+5,R30
; 0000 042F 
; 0000 0430        goto st2;
	RJMP _0x83
; 0000 0431      }
; 0000 0432 
; 0000 0433      case  11:
_0x82:
	CPI  R30,LOW(0xB)
	LDI  R26,HIGH(0xB)
	CPC  R31,R26
	BRNE _0x85
; 0000 0434       {
; 0000 0435        s1=20;
	LDI  R18,LOW(20)
; 0000 0436        e1=20;
	LDI  R21,LOW(20)
; 0000 0437        t1=1;
	LDI  R20,LOW(1)
; 0000 0438 
; 0000 0439        c=64;
	LDI  R30,LOW(64)
	STD  Y+6,R30
; 0000 043A        d=12;
	LDI  R30,LOW(12)
	STD  Y+5,R30
; 0000 043B 
; 0000 043C        goto st2;
	RJMP _0x83
; 0000 043D        }
; 0000 043E 
; 0000 043F      case  12:
_0x85:
	CPI  R30,LOW(0xC)
	LDI  R26,HIGH(0xC)
	CPC  R31,R26
	BRNE _0x87
; 0000 0440       {
; 0000 0441        s1=20;
	LDI  R18,LOW(20)
; 0000 0442        e1=64;
	LDI  R21,LOW(64)
; 0000 0443        t1=1;
	LDI  R20,LOW(1)
; 0000 0444 
; 0000 0445        c=45;
	LDI  R30,LOW(45)
	STD  Y+6,R30
; 0000 0446        d=13;
	LDI  R30,LOW(13)
	STD  Y+5,R30
; 0000 0447 
; 0000 0448        goto st2;
	RJMP _0x83
; 0000 0449       }
; 0000 044A 
; 0000 044B          case  13:
_0x87:
	CPI  R30,LOW(0xD)
	LDI  R26,HIGH(0xD)
	CPC  R31,R26
	BRNE _0x89
; 0000 044C        {
; 0000 044D 
; 0000 044E 
; 0000 044F        s1=64;
	LDI  R18,LOW(64)
; 0000 0450        e1=0;
	LDI  R21,LOW(0)
; 0000 0451        t1=2;
	LDI  R20,LOW(2)
; 0000 0452 
; 0000 0453        c=130;
	LDI  R30,LOW(130)
	STD  Y+6,R30
; 0000 0454 
; 0000 0455        d=19;
	LDI  R30,LOW(19)
	STD  Y+5,R30
; 0000 0456 
; 0000 0457        goto st2;
	RJMP _0x83
; 0000 0458        }
; 0000 0459           case  14:
_0x89:
	CPI  R30,LOW(0xE)
	LDI  R26,HIGH(0xE)
	CPC  R31,R26
	BRNE _0x8B
; 0000 045A        {
; 0000 045B 
; 0000 045C 
; 0000 045D        s1=10;
	LDI  R18,LOW(10)
; 0000 045E        e1=10;
	LDI  R21,LOW(10)
; 0000 045F        t1=1;
	LDI  R20,LOW(1)
; 0000 0460 
; 0000 0461        c=53;
	LDI  R30,LOW(53)
	STD  Y+6,R30
; 0000 0462 
; 0000 0463        d=15;
	LDI  R30,LOW(15)
	STD  Y+5,R30
; 0000 0464 
; 0000 0465        goto st2;
	RJMP _0x83
; 0000 0466        }
; 0000 0467 
; 0000 0468               case  15:
_0x8B:
	CPI  R30,LOW(0xF)
	LDI  R26,HIGH(0xF)
	CPC  R31,R26
	BRNE _0x8D
; 0000 0469        {
; 0000 046A 
; 0000 046B 
; 0000 046C        s1=10;
	LDI  R18,LOW(10)
; 0000 046D        e1=0;
	LDI  R21,LOW(0)
; 0000 046E        t1=2;
	LDI  R20,LOW(2)
; 0000 046F 
; 0000 0470        c=22;
	LDI  R30,LOW(22)
	STD  Y+6,R30
; 0000 0471 
; 0000 0472        d=19;
	LDI  R30,LOW(19)
	STD  Y+5,R30
; 0000 0473 
; 0000 0474        goto st2;
	RJMP _0x83
; 0000 0475        }
; 0000 0476 
; 0000 0477          case  19:
_0x8D:
	CPI  R30,LOW(0x13)
	LDI  R26,HIGH(0x13)
	CPC  R31,R26
	BRNE _0x8F
; 0000 0478        {
; 0000 0479         delay_ms(60);
	RCALL SUBOPT_0x14
; 0000 047A         d=255;
; 0000 047B         goto sw2;
	RJMP _0x72
; 0000 047C 
; 0000 047D        }
; 0000 047E 
; 0000 047F 
; 0000 0480        //--------------------
; 0000 0481      case 20:
_0x8F:
	CPI  R30,LOW(0x14)
	LDI  R26,HIGH(0x14)
	CPC  R31,R26
	BRNE _0x91
; 0000 0482      {
; 0000 0483        s1=0;
	LDI  R18,LOW(0)
; 0000 0484        e1=64;
	LDI  R21,LOW(64)
; 0000 0485        t1=2;
	LDI  R20,LOW(2)
; 0000 0486         tf1=130; //<(c1+c2+...)/2 ..   
	LDI  R30,LOW(130)
	STD  Y+10,R30
; 0000 0487        //   2 ()  f=1
; 0000 0488        tf2=65;  //<(c1+c2+...)/4    
	LDI  R30,LOW(65)
	STD  Y+9,R30
; 0000 0489        //   2 ()  f=2
; 0000 048A        //f1=1   , f=2 - 
; 0000 048B        tf3=tf2;
	STD  Y+8,R30
; 0000 048C        tf4=tf2;
	LDD  R30,Y+9
	STD  Y+7,R30
; 0000 048D        c=130;
	LDI  R30,LOW(130)
	STD  Y+6,R30
; 0000 048E 
; 0000 048F        d=21;
	LDI  R30,LOW(21)
	STD  Y+5,R30
; 0000 0490 
; 0000 0491        goto st2;
	RJMP _0x83
; 0000 0492        }
; 0000 0493 
; 0000 0494          case  21:
_0x91:
	CPI  R30,LOW(0x15)
	LDI  R26,HIGH(0x15)
	CPC  R31,R26
	BRNE _0x93
; 0000 0495        {
; 0000 0496 
; 0000 0497 
; 0000 0498        s1=64;
	LDI  R18,LOW(64)
; 0000 0499        e1=0;
	LDI  R21,LOW(0)
; 0000 049A        t1=2;
	LDI  R20,LOW(2)
; 0000 049B 
; 0000 049C        c=130;
	LDI  R30,LOW(130)
	STD  Y+6,R30
; 0000 049D 
; 0000 049E        d=29;
	LDI  R30,LOW(29)
	STD  Y+5,R30
; 0000 049F 
; 0000 04A0        goto st2;
	RJMP _0x83
; 0000 04A1        }
; 0000 04A2 
; 0000 04A3          case  29:
_0x93:
	CPI  R30,LOW(0x1D)
	LDI  R26,HIGH(0x1D)
	CPC  R31,R26
	BRNE _0x95
; 0000 04A4        {
; 0000 04A5         delay_ms(60);
	RCALL SUBOPT_0x14
; 0000 04A6         d=255;
; 0000 04A7         goto sw2;
	RJMP _0x72
; 0000 04A8 
; 0000 04A9        }
; 0000 04AA       //--------------------
; 0000 04AB         case 30:
_0x95:
	CPI  R30,LOW(0x1E)
	LDI  R26,HIGH(0x1E)
	CPC  R31,R26
	BRNE _0x97
; 0000 04AC      {
; 0000 04AD        s1=0;
	LDI  R18,LOW(0)
; 0000 04AE        e1=64;
	LDI  R21,LOW(64)
; 0000 04AF        t1=1;
	RCALL SUBOPT_0x13
; 0000 04B0         tf1=130; //<(c1+c2+...)/2 ..   
; 0000 04B1        //   2 ()  f=1
; 0000 04B2        tf2=65;  //<(c1+c2+...)/4    
; 0000 04B3        //   2 ()  f=2
; 0000 04B4        //f1=1   , f=2 - 
; 0000 04B5        tf3=tf2;
; 0000 04B6        tf4=tf2;
; 0000 04B7        c=65;
	LDI  R30,LOW(65)
	STD  Y+6,R30
; 0000 04B8 
; 0000 04B9        d=34;
	LDI  R30,LOW(34)
	STD  Y+5,R30
; 0000 04BA 
; 0000 04BB        goto st2;
	RJMP _0x83
; 0000 04BC        }
; 0000 04BD               case  34:
_0x97:
	CPI  R30,LOW(0x22)
	LDI  R26,HIGH(0x22)
	CPC  R31,R26
	BRNE _0x99
; 0000 04BE        {
; 0000 04BF 
; 0000 04C0 
; 0000 04C1        s1=64;
	LDI  R18,LOW(64)
; 0000 04C2        e1=64;
	LDI  R21,LOW(64)
; 0000 04C3        t1=1;
	LDI  R20,LOW(1)
; 0000 04C4 
; 0000 04C5        c=30;
	LDI  R30,LOW(30)
	STD  Y+6,R30
; 0000 04C6 
; 0000 04C7        d=31;
	LDI  R30,LOW(31)
	STD  Y+5,R30
; 0000 04C8 
; 0000 04C9        goto st2;
	RJMP _0x83
; 0000 04CA        }
; 0000 04CB          case  31:
_0x99:
	CPI  R30,LOW(0x1F)
	LDI  R26,HIGH(0x1F)
	CPC  R31,R26
	BRNE _0x9B
; 0000 04CC        {
; 0000 04CD 
; 0000 04CE 
; 0000 04CF        s1=64;
	LDI  R18,LOW(64)
; 0000 04D0        e1=20;
	LDI  R21,LOW(20)
; 0000 04D1        t1=1;
	LDI  R20,LOW(1)
; 0000 04D2 
; 0000 04D3        c=45;
	LDI  R30,LOW(45)
	STD  Y+6,R30
; 0000 04D4 
; 0000 04D5        d=32;
	LDI  R30,LOW(32)
	STD  Y+5,R30
; 0000 04D6 
; 0000 04D7        goto st2;
	RJMP _0x83
; 0000 04D8        }
; 0000 04D9           case  32:
_0x9B:
	CPI  R30,LOW(0x20)
	LDI  R26,HIGH(0x20)
	CPC  R31,R26
	BRNE _0x9D
; 0000 04DA        {
; 0000 04DB 
; 0000 04DC 
; 0000 04DD        s1=20;
	LDI  R18,LOW(20)
; 0000 04DE        e1=20;
	LDI  R21,LOW(20)
; 0000 04DF        t1=1;
	LDI  R20,LOW(1)
; 0000 04E0 
; 0000 04E1        c=99;
	LDI  R30,LOW(99)
	STD  Y+6,R30
; 0000 04E2 
; 0000 04E3        d=33;
	LDI  R30,LOW(33)
	STD  Y+5,R30
; 0000 04E4 
; 0000 04E5        goto st2;
	RJMP _0x83
; 0000 04E6        }
; 0000 04E7 
; 0000 04E8          case  33:
_0x9D:
	CPI  R30,LOW(0x21)
	LDI  R26,HIGH(0x21)
	CPC  R31,R26
	BRNE _0x9F
; 0000 04E9        {
; 0000 04EA 
; 0000 04EB 
; 0000 04EC        s1=20;
	LDI  R18,LOW(20)
; 0000 04ED        e1=0;
	LDI  R21,LOW(0)
; 0000 04EE        t1=1;
	LDI  R20,LOW(1)
; 0000 04EF 
; 0000 04F0        c=21;
	LDI  R30,LOW(21)
	STD  Y+6,R30
; 0000 04F1 
; 0000 04F2        d=39;
	LDI  R30,LOW(39)
	STD  Y+5,R30
; 0000 04F3 
; 0000 04F4        goto st2;
	RJMP _0x83
; 0000 04F5        }
; 0000 04F6 
; 0000 04F7 
; 0000 04F8 
; 0000 04F9 
; 0000 04FA          case  39:
_0x9F:
	CPI  R30,LOW(0x27)
	LDI  R26,HIGH(0x27)
	CPC  R31,R26
	BRNE _0xA1
; 0000 04FB        {
; 0000 04FC         delay_ms(60);
	RCALL SUBOPT_0x14
; 0000 04FD         d=255;
; 0000 04FE         goto sw2;
	RJMP _0x72
; 0000 04FF 
; 0000 0500        }
; 0000 0501        //------------------
; 0000 0502      case 0:
_0xA1:
	SBIW R30,0
	BRNE _0xA3
; 0000 0503      {
; 0000 0504        s1=0;
	LDI  R18,LOW(0)
; 0000 0505        e1=64;
	LDI  R21,LOW(64)
; 0000 0506        t1=1;
	RCALL SUBOPT_0x13
; 0000 0507         tf1=130; //<(c1+c2+...)/2 ..   
; 0000 0508        //   2 ()  f=1
; 0000 0509        tf2=65;  //<(c1+c2+...)/4    
; 0000 050A        //   2 ()  f=2
; 0000 050B        //f1=1   , f=2 - 
; 0000 050C        tf3=tf2;
; 0000 050D        tf4=tf2;
; 0000 050E        c=65;
	LDI  R30,LOW(65)
	STD  Y+6,R30
; 0000 050F 
; 0000 0510        d=4;
	LDI  R30,LOW(4)
	STD  Y+5,R30
; 0000 0511 
; 0000 0512        goto st2;
	RJMP _0x83
; 0000 0513        }
; 0000 0514 
; 0000 0515          case  4:
_0xA3:
	CPI  R30,LOW(0x4)
	LDI  R26,HIGH(0x4)
	CPC  R31,R26
	BRNE _0xA5
; 0000 0516        {
; 0000 0517 
; 0000 0518 
; 0000 0519        s1=64;
	LDI  R18,LOW(64)
; 0000 051A        e1=64;
	LDI  R21,LOW(64)
; 0000 051B        t1=1;
	LDI  R20,LOW(1)
; 0000 051C 
; 0000 051D        c=5;
	LDI  R30,LOW(5)
	STD  Y+6,R30
; 0000 051E 
; 0000 051F        d=5;
	STD  Y+5,R30
; 0000 0520 
; 0000 0521        goto st2;
	RJMP _0x83
; 0000 0522        }
; 0000 0523           case  5:
_0xA5:
	CPI  R30,LOW(0x5)
	LDI  R26,HIGH(0x5)
	CPC  R31,R26
	BRNE _0xA7
; 0000 0524        {
; 0000 0525 
; 0000 0526 
; 0000 0527        s1=64;
	LDI  R18,LOW(64)
; 0000 0528        e1=0;
	LDI  R21,LOW(0)
; 0000 0529        t1=3;
	LDI  R20,LOW(3)
; 0000 052A 
; 0000 052B        c=195;
	LDI  R30,LOW(195)
	STD  Y+6,R30
; 0000 052C 
; 0000 052D        d=8;
	LDI  R30,LOW(8)
	STD  Y+5,R30
; 0000 052E 
; 0000 052F        goto st2;
	RJMP _0x83
; 0000 0530        }
; 0000 0531 
; 0000 0532 
; 0000 0533 
; 0000 0534 
; 0000 0535          case  8:
_0xA7:
	CPI  R30,LOW(0x8)
	LDI  R26,HIGH(0x8)
	CPC  R31,R26
	BRNE _0xA9
; 0000 0536        {
; 0000 0537         delay_ms(60);
	RCALL SUBOPT_0x14
; 0000 0538         d=255;
; 0000 0539         goto sw2;
	RJMP _0x72
; 0000 053A 
; 0000 053B        }
; 0000 053C 
; 0000 053D    //========================================
; 0000 053E      case 220:
_0xA9:
	CPI  R30,LOW(0xDC)
	LDI  R26,HIGH(0xDC)
	CPC  R31,R26
	BRNE _0xAB
; 0000 053F 
; 0000 0540    //
; 0000 0541      {
; 0000 0542 
; 0000 0543        if (muk[0]==5)
	LDS  R26,_muk
	CPI  R26,LOW(0x5)
	BRNE _0xAC
; 0000 0544        {
; 0000 0545         d=226;  //  
	LDI  R30,LOW(226)
	STD  Y+5,R30
; 0000 0546         goto sw2;
	RJMP _0x72
; 0000 0547        }
; 0000 0548 
; 0000 0549        if (muk[0]==3)
_0xAC:
	LDS  R26,_muk
	CPI  R26,LOW(0x3)
	BRNE _0xAD
; 0000 054A         {
; 0000 054B          d=223;//   
	LDI  R30,LOW(223)
	STD  Y+5,R30
; 0000 054C          goto sw2;
	RJMP _0x72
; 0000 054D         }
; 0000 054E 
; 0000 054F         if (muk[0]==1)
_0xAD:
	LDS  R26,_muk
	CPI  R26,LOW(0x1)
	BRNE _0xAE
; 0000 0550        {
; 0000 0551         //  
; 0000 0552         d=221;
	LDI  R30,LOW(221)
	STD  Y+5,R30
; 0000 0553         goto sw2;
	RJMP _0x72
; 0000 0554        }
; 0000 0555 
; 0000 0556          if (muk[0]==4)
_0xAE:
	LDS  R26,_muk
	CPI  R26,LOW(0x4)
	BRNE _0xAF
; 0000 0557         {
; 0000 0558          d=223;//   
	LDI  R30,LOW(223)
	STD  Y+5,R30
; 0000 0559          goto sw2;
	RJMP _0x72
; 0000 055A         }
; 0000 055B 
; 0000 055C        d=255;      //
_0xAF:
	LDI  R30,LOW(255)
	STD  Y+5,R30
; 0000 055D        goto sw2;
	RJMP _0x72
; 0000 055E 
; 0000 055F    }
; 0000 0560     case 221:
_0xAB:
	CPI  R30,LOW(0xDD)
	LDI  R26,HIGH(0xDD)
	CPC  R31,R26
	BRNE _0xB1
; 0000 0561    {
; 0000 0562        // 
; 0000 0563        lr=3;
	LDI  R30,LOW(3)
	RCALL SUBOPT_0x15
; 0000 0564 
; 0000 0565        s1=0;     //  
; 0000 0566        e1=10;    //  
; 0000 0567        t1=3;     //    
; 0000 0568 
; 0000 0569        c=33;   // 
; 0000 056A        d=228;    //
	LDI  R30,LOW(228)
	STD  Y+5,R30
; 0000 056B        goto st2;
	RJMP _0x83
; 0000 056C    }
; 0000 056D 
; 0000 056E         case 228:
_0xB1:
	CPI  R30,LOW(0xE4)
	LDI  R26,HIGH(0xE4)
	CPC  R31,R26
	BRNE _0xB3
; 0000 056F        {
; 0000 0570 
; 0000 0571         s1=10;
	RCALL SUBOPT_0x16
; 0000 0572         e1=0;
; 0000 0573         t1=3;
; 0000 0574 
; 0000 0575         c=33;
; 0000 0576         d=222;
	LDI  R30,LOW(222)
	STD  Y+5,R30
; 0000 0577         goto st2;
	RJMP _0x83
; 0000 0578        }
; 0000 0579 
; 0000 057A 
; 0000 057B        case 222:
_0xB3:
	CPI  R30,LOW(0xDE)
	LDI  R26,HIGH(0xDE)
	CPC  R31,R26
	BRNE _0xB5
; 0000 057C        {
; 0000 057D         muk[2]=2; //  
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x17
; 0000 057E         d=255;     //
; 0000 057F         goto sw2;
	RJMP _0x72
; 0000 0580        }
; 0000 0581 
; 0000 0582        case 223:
_0xB5:
	CPI  R30,LOW(0xDF)
	LDI  R26,HIGH(0xDF)
	CPC  R31,R26
	BRNE _0xB7
; 0000 0583    {
; 0000 0584        //
; 0000 0585        if (muk[1]==0) //   =0  - 
	__GETB1MN _muk,1
	CPI  R30,0
	BRNE _0xB8
; 0000 0586        {
; 0000 0587         muk[2]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x17
; 0000 0588         d=255;       //
; 0000 0589         goto sw2;
	RJMP _0x72
; 0000 058A        }
; 0000 058B 
; 0000 058C        muk[1]=muk[1]-1;
_0xB8:
	__GETB1MN _muk,1
	RCALL SUBOPT_0x18
	__PUTB1MN _muk,1
; 0000 058D        muk[2]=3;// 
	LDI  R30,LOW(3)
	__PUTB1MN _muk,2
; 0000 058E        d=224;
	LDI  R30,LOW(224)
	STD  Y+5,R30
; 0000 058F        goto sw2;
	RJMP _0x72
; 0000 0590    }
; 0000 0591        case  224:
_0xB7:
	CPI  R30,LOW(0xE0)
	LDI  R26,HIGH(0xE0)
	CPC  R31,R26
	BRNE _0xBA
; 0000 0592        {
; 0000 0593         lr=3;
	LDI  R30,LOW(3)
	RCALL SUBOPT_0x19
; 0000 0594         d=muk[19]; //    A L R
; 0000 0595         goto sw2;
	RJMP _0x72
; 0000 0596        }
; 0000 0597 
; 0000 0598        case 227:
_0xBA:
	CPI  R30,LOW(0xE3)
	LDI  R26,HIGH(0xE3)
	CPC  R31,R26
	BRNE _0xBC
; 0000 0599        {
; 0000 059A         muk[0]=0;
	LDI  R30,LOW(0)
	STS  _muk,R30
; 0000 059B         muk[2]=0; //   , 
	RCALL SUBOPT_0x17
; 0000 059C         d=255;
; 0000 059D         goto sw2;
	RJMP _0x72
; 0000 059E        }
; 0000 059F   //LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
; 0000 05A0    case 230:
_0xBC:
	CPI  R30,LOW(0xE6)
	LDI  R26,HIGH(0xE6)
	CPC  R31,R26
	BRNE _0xBE
; 0000 05A1 
; 0000 05A2    // L 
; 0000 05A3      {
; 0000 05A4 
; 0000 05A5        if (muk[3]==5)
	__GETB2MN _muk,3
	CPI  R26,LOW(0x5)
	BRNE _0xBF
; 0000 05A6        {
; 0000 05A7         d=236;  //  
	LDI  R30,LOW(236)
	STD  Y+5,R30
; 0000 05A8         goto sw2;
	RJMP _0x72
; 0000 05A9        }
; 0000 05AA 
; 0000 05AB        if (muk[3]==3)
_0xBF:
	__GETB2MN _muk,3
	CPI  R26,LOW(0x3)
	BRNE _0xC0
; 0000 05AC         {
; 0000 05AD          d=233;//   
	LDI  R30,LOW(233)
	STD  Y+5,R30
; 0000 05AE          goto sw2;
	RJMP _0x72
; 0000 05AF         }
; 0000 05B0 
; 0000 05B1         if (muk[3]==1)
_0xC0:
	__GETB2MN _muk,3
	CPI  R26,LOW(0x1)
	BRNE _0xC1
; 0000 05B2        {
; 0000 05B3         //  
; 0000 05B4         d=231;
	LDI  R30,LOW(231)
	STD  Y+5,R30
; 0000 05B5         goto sw2;
	RJMP _0x72
; 0000 05B6        }
; 0000 05B7 
; 0000 05B8          if (muk[3]==4)
_0xC1:
	__GETB2MN _muk,3
	CPI  R26,LOW(0x4)
	BRNE _0xC2
; 0000 05B9         {
; 0000 05BA          d=233;//   
	LDI  R30,LOW(233)
	STD  Y+5,R30
; 0000 05BB          goto sw2;
	RJMP _0x72
; 0000 05BC         }
; 0000 05BD 
; 0000 05BE        d=255;      //
_0xC2:
	LDI  R30,LOW(255)
	STD  Y+5,R30
; 0000 05BF        goto sw2;
	RJMP _0x72
; 0000 05C0 
; 0000 05C1    }
; 0000 05C2     case 231:
_0xBE:
	CPI  R30,LOW(0xE7)
	LDI  R26,HIGH(0xE7)
	CPC  R31,R26
	BRNE _0xC4
; 0000 05C3    {
; 0000 05C4        // 
; 0000 05C5        lr=2;
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x15
; 0000 05C6 
; 0000 05C7        s1=0;     //  
; 0000 05C8        e1=10;    //  
; 0000 05C9        t1=3;     //    
; 0000 05CA 
; 0000 05CB        c=33;   // 
; 0000 05CC        d=238;    //
	LDI  R30,LOW(238)
	STD  Y+5,R30
; 0000 05CD        goto st2;
	RJMP _0x83
; 0000 05CE    }
; 0000 05CF 
; 0000 05D0         case 238:
_0xC4:
	CPI  R30,LOW(0xEE)
	LDI  R26,HIGH(0xEE)
	CPC  R31,R26
	BRNE _0xC6
; 0000 05D1        {
; 0000 05D2 
; 0000 05D3         s1=10;
	RCALL SUBOPT_0x16
; 0000 05D4         e1=0;
; 0000 05D5         t1=3;
; 0000 05D6 
; 0000 05D7         c=33;
; 0000 05D8         d=232;
	LDI  R30,LOW(232)
	STD  Y+5,R30
; 0000 05D9         goto st2;
	RJMP _0x83
; 0000 05DA        }
; 0000 05DB 
; 0000 05DC 
; 0000 05DD        case 232:
_0xC6:
	CPI  R30,LOW(0xE8)
	LDI  R26,HIGH(0xE8)
	CPC  R31,R26
	BRNE _0xC8
; 0000 05DE        {
; 0000 05DF         muk[5]=2; //  
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x1A
; 0000 05E0         d=255;     //
; 0000 05E1         goto sw2;
	RJMP _0x72
; 0000 05E2        }
; 0000 05E3 
; 0000 05E4        case 233:
_0xC8:
	CPI  R30,LOW(0xE9)
	LDI  R26,HIGH(0xE9)
	CPC  R31,R26
	BRNE _0xCA
; 0000 05E5    {
; 0000 05E6        //
; 0000 05E7        if (muk[4]==0) //   =0  - 
	__GETB1MN _muk,4
	CPI  R30,0
	BRNE _0xCB
; 0000 05E8        {
; 0000 05E9         muk[5]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x1A
; 0000 05EA         d=255;       //
; 0000 05EB         goto sw2;
	RJMP _0x72
; 0000 05EC        }
; 0000 05ED 
; 0000 05EE        muk[4]=muk[4]-1;
_0xCB:
	__GETB1MN _muk,4
	RCALL SUBOPT_0x18
	__PUTB1MN _muk,4
; 0000 05EF        muk[5]=3;// 
	LDI  R30,LOW(3)
	__PUTB1MN _muk,5
; 0000 05F0        d=234;
	LDI  R30,LOW(234)
	STD  Y+5,R30
; 0000 05F1        goto sw2;
	RJMP _0x72
; 0000 05F2    }
; 0000 05F3        case  234:
_0xCA:
	CPI  R30,LOW(0xEA)
	LDI  R26,HIGH(0xEA)
	CPC  R31,R26
	BRNE _0xCD
; 0000 05F4        {
; 0000 05F5         lr=2;
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x19
; 0000 05F6         d=muk[19]; //    A L R
; 0000 05F7         goto sw2;
	RJMP _0x72
; 0000 05F8        }
; 0000 05F9 
; 0000 05FA        case 237:
_0xCD:
	CPI  R30,LOW(0xED)
	LDI  R26,HIGH(0xED)
	CPC  R31,R26
	BRNE _0xCF
; 0000 05FB        {
; 0000 05FC         muk[3]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,3
; 0000 05FD         muk[5]=0; //   , 
	RCALL SUBOPT_0x1A
; 0000 05FE         d=255;
; 0000 05FF         goto sw2;
	RJMP _0x72
; 0000 0600        }
; 0000 0601 
; 0000 0602   //RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
; 0000 0603    case 240:
_0xCF:
	CPI  R30,LOW(0xF0)
	LDI  R26,HIGH(0xF0)
	CPC  R31,R26
	BRNE _0xD1
; 0000 0604 
; 0000 0605    // R 
; 0000 0606      {
; 0000 0607 
; 0000 0608       if (muk[6]==5)
	__GETB2MN _muk,6
	CPI  R26,LOW(0x5)
	BRNE _0xD2
; 0000 0609        {
; 0000 060A         d=246;  //  
	LDI  R30,LOW(246)
	STD  Y+5,R30
; 0000 060B         goto sw2;
	RJMP _0x72
; 0000 060C        }
; 0000 060D 
; 0000 060E        if (muk[6]==3)
_0xD2:
	__GETB2MN _muk,6
	CPI  R26,LOW(0x3)
	BRNE _0xD3
; 0000 060F         {
; 0000 0610          d=243;//   
	LDI  R30,LOW(243)
	STD  Y+5,R30
; 0000 0611          goto sw2;
	RJMP _0x72
; 0000 0612         }
; 0000 0613 
; 0000 0614         if (muk[6]==1)
_0xD3:
	__GETB2MN _muk,6
	CPI  R26,LOW(0x1)
	BRNE _0xD4
; 0000 0615        {
; 0000 0616         //  
; 0000 0617         d=241;
	LDI  R30,LOW(241)
	STD  Y+5,R30
; 0000 0618         goto sw2;
	RJMP _0x72
; 0000 0619        }
; 0000 061A 
; 0000 061B          if (muk[6]==4)
_0xD4:
	__GETB2MN _muk,6
	CPI  R26,LOW(0x4)
	BRNE _0xD5
; 0000 061C         {
; 0000 061D          d=243;//   
	LDI  R30,LOW(243)
	STD  Y+5,R30
; 0000 061E          goto sw2;
	RJMP _0x72
; 0000 061F         }
; 0000 0620 
; 0000 0621        d=255;      //
_0xD5:
	LDI  R30,LOW(255)
	STD  Y+5,R30
; 0000 0622        goto sw2;
	RJMP _0x72
; 0000 0623      }
; 0000 0624 
; 0000 0625     case 241:
_0xD1:
	CPI  R30,LOW(0xF1)
	LDI  R26,HIGH(0xF1)
	CPC  R31,R26
	BRNE _0xD7
; 0000 0626      {
; 0000 0627        // 
; 0000 0628        lr=1;
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x15
; 0000 0629 
; 0000 062A        s1=0;     //  
; 0000 062B        e1=10;    //  
; 0000 062C        t1=3;     //    
; 0000 062D 
; 0000 062E        c=33;   // 
; 0000 062F        d=248;    //
	LDI  R30,LOW(248)
	STD  Y+5,R30
; 0000 0630        goto st2;
	RJMP _0x83
; 0000 0631      }
; 0000 0632 
; 0000 0633         case 248:
_0xD7:
	CPI  R30,LOW(0xF8)
	LDI  R26,HIGH(0xF8)
	CPC  R31,R26
	BRNE _0xD9
; 0000 0634        {
; 0000 0635 
; 0000 0636         s1=10;
	RCALL SUBOPT_0x16
; 0000 0637         e1=0;
; 0000 0638         t1=3;
; 0000 0639 
; 0000 063A         c=33;
; 0000 063B         d=242;
	LDI  R30,LOW(242)
	STD  Y+5,R30
; 0000 063C         goto st2;
	RJMP _0x83
; 0000 063D        }
; 0000 063E 
; 0000 063F 
; 0000 0640        case 242:
_0xD9:
	CPI  R30,LOW(0xF2)
	LDI  R26,HIGH(0xF2)
	CPC  R31,R26
	BRNE _0xDB
; 0000 0641        {
; 0000 0642         muk[8]=2; //  
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x1B
; 0000 0643         d=255;     //
; 0000 0644         goto sw2;
	RJMP _0x72
; 0000 0645        }
; 0000 0646 
; 0000 0647        case 243:
_0xDB:
	CPI  R30,LOW(0xF3)
	LDI  R26,HIGH(0xF3)
	CPC  R31,R26
	BRNE _0xDD
; 0000 0648     {
; 0000 0649        //
; 0000 064A        if (muk[7]==0) //   =0  - 
	__GETB1MN _muk,7
	CPI  R30,0
	BRNE _0xDE
; 0000 064B        {
; 0000 064C         muk[8]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x1B
; 0000 064D         d=255;       //
; 0000 064E         goto sw2;
	RJMP _0x72
; 0000 064F        }
; 0000 0650 
; 0000 0651        muk[7]=muk[7]-1;
_0xDE:
	__GETB1MN _muk,7
	RCALL SUBOPT_0x18
	__PUTB1MN _muk,7
; 0000 0652        muk[8]=3;// 
	LDI  R30,LOW(3)
	__PUTB1MN _muk,8
; 0000 0653        d=244;
	LDI  R30,LOW(244)
	STD  Y+5,R30
; 0000 0654        goto sw2;
	RJMP _0x72
; 0000 0655     }
; 0000 0656        case  244:
_0xDD:
	CPI  R30,LOW(0xF4)
	LDI  R26,HIGH(0xF4)
	CPC  R31,R26
	BRNE _0xE0
; 0000 0657        {
; 0000 0658         lr=1;
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x19
; 0000 0659         d=muk[19]; //    A L R
; 0000 065A         goto sw2;
	RJMP _0x72
; 0000 065B        }
; 0000 065C 
; 0000 065D        case 247:
_0xE0:
	CPI  R30,LOW(0xF7)
	LDI  R26,HIGH(0xF7)
	CPC  R31,R26
	BRNE _0xE2
; 0000 065E        {
; 0000 065F         muk[6]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,6
; 0000 0660         muk[8]=0; //   , 
	RCALL SUBOPT_0x1B
; 0000 0661         d=255;
; 0000 0662         goto sw2;
	RJMP _0x72
; 0000 0663        }
; 0000 0664   //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; 0000 0665    case 200:
_0xE2:
	CPI  R30,LOW(0xC8)
	LDI  R26,HIGH(0xC8)
	CPC  R31,R26
	BRNE _0xE4
; 0000 0666 
; 0000 0667    //   Re
; 0000 0668      {
; 0000 0669 
; 0000 066A           if (muk[9]==2)
	__GETB2MN _muk,9
	CPI  R26,LOW(0x2)
	BRNE _0xE5
; 0000 066B        {
; 0000 066C         d=205;  //  
	LDI  R30,LOW(205)
	STD  Y+5,R30
; 0000 066D         goto sw2;
	RJMP _0x72
; 0000 066E        }
; 0000 066F 
; 0000 0670 
; 0000 0671        if (muk[9]==5)
_0xE5:
	__GETB2MN _muk,9
	CPI  R26,LOW(0x5)
	BRNE _0xE6
; 0000 0672        {
; 0000 0673         d=206;  //  
	LDI  R30,LOW(206)
	STD  Y+5,R30
; 0000 0674         goto sw2;
	RJMP _0x72
; 0000 0675        }
; 0000 0676 
; 0000 0677        if (muk[9]==3)
_0xE6:
	__GETB2MN _muk,9
	CPI  R26,LOW(0x3)
	BRNE _0xE7
; 0000 0678         {
; 0000 0679          d=203;//   
	LDI  R30,LOW(203)
	STD  Y+5,R30
; 0000 067A          goto sw2;
	RJMP _0x72
; 0000 067B         }
; 0000 067C 
; 0000 067D         if (muk[9]==1)
_0xE7:
	__GETB2MN _muk,9
	CPI  R26,LOW(0x1)
	BRNE _0xE8
; 0000 067E        {
; 0000 067F         //  
; 0000 0680         d=201;
	LDI  R30,LOW(201)
	STD  Y+5,R30
; 0000 0681         goto sw2;
	RJMP _0x72
; 0000 0682        }
; 0000 0683          if (muk[9]==4)
_0xE8:
	__GETB2MN _muk,9
	CPI  R26,LOW(0x4)
	BRNE _0xE9
; 0000 0684         {
; 0000 0685          d=203;//   
	LDI  R30,LOW(203)
	STD  Y+5,R30
; 0000 0686          goto sw2;
	RJMP _0x72
; 0000 0687         }
; 0000 0688 
; 0000 0689        d=255;      //
_0xE9:
	LDI  R30,LOW(255)
	STD  Y+5,R30
; 0000 068A        goto sw2;
	RJMP _0x72
; 0000 068B 
; 0000 068C    }
; 0000 068D     case 201:
_0xE4:
	CPI  R30,LOW(0xC9)
	LDI  R26,HIGH(0xC9)
	CPC  R31,R26
	BRNE _0xEB
; 0000 068E      {
; 0000 068F        // 
; 0000 0690        lr=3;
	LDI  R30,LOW(3)
	STD  Y+4,R30
; 0000 0691 
; 0000 0692        s1=0;     //  
	LDI  R18,LOW(0)
; 0000 0693        e1=32;    //  
	LDI  R21,LOW(32)
; 0000 0694        t1=4;     //    
	LDI  R20,LOW(4)
; 0000 0695        tf1=0;
	RCALL SUBOPT_0x1C
; 0000 0696        tf2=0;
; 0000 0697        tf3=0;
; 0000 0698        tf4=0;
; 0000 0699 
; 0000 069A        c=132;   // 
	LDI  R30,LOW(132)
	STD  Y+6,R30
; 0000 069B        d=209;    //
	LDI  R30,LOW(209)
	STD  Y+5,R30
; 0000 069C        goto st2;
	RJMP _0x83
; 0000 069D      }
; 0000 069E 
; 0000 069F             case  209:
_0xEB:
	CPI  R30,LOW(0xD1)
	LDI  R26,HIGH(0xD1)
	CPC  R31,R26
	BRNE _0xED
; 0000 06A0        {
; 0000 06A1         lr=3;
	LDI  R30,LOW(3)
	STD  Y+4,R30
; 0000 06A2 
; 0000 06A3         s1=33;
	LDI  R18,LOW(33)
; 0000 06A4         e1=64;
	LDI  R21,LOW(64)
; 0000 06A5         t1=4;
	LDI  R20,LOW(4)
; 0000 06A6 
; 0000 06A7         c=128;
	LDI  R30,LOW(128)
	STD  Y+6,R30
; 0000 06A8 
; 0000 06A9         d=202;
	LDI  R30,LOW(202)
	STD  Y+5,R30
; 0000 06AA 
; 0000 06AB         goto st2;
	RJMP _0x83
; 0000 06AC        }
; 0000 06AD 
; 0000 06AE        case 202:
_0xED:
	CPI  R30,LOW(0xCA)
	LDI  R26,HIGH(0xCA)
	CPC  R31,R26
	BRNE _0xEF
; 0000 06AF        {
; 0000 06B0         muk[11]=2; //  
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x1D
; 0000 06B1         d=255;     //
; 0000 06B2         goto sw2;
	RJMP _0x72
; 0000 06B3        }
; 0000 06B4 
; 0000 06B5        case 203:
_0xEF:
	CPI  R30,LOW(0xCB)
	LDI  R26,HIGH(0xCB)
	CPC  R31,R26
	BRNE _0xF1
; 0000 06B6    {
; 0000 06B7        //
; 0000 06B8        if (muk[10]==0) //   =0  - 
	__GETB1MN _muk,10
	CPI  R30,0
	BRNE _0xF2
; 0000 06B9        {
; 0000 06BA         muk[11]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x1D
; 0000 06BB         d=255;       //
; 0000 06BC         goto sw2;
	RJMP _0x72
; 0000 06BD        }
; 0000 06BE 
; 0000 06BF        muk[10]=muk[10]-1;
_0xF2:
	__GETB1MN _muk,10
	RCALL SUBOPT_0x18
	__PUTB1MN _muk,10
; 0000 06C0        muk[11]=3;// 
	LDI  R30,LOW(3)
	__PUTB1MN _muk,11
; 0000 06C1        d=204;
	LDI  R30,LOW(204)
	STD  Y+5,R30
; 0000 06C2        goto sw2;
	RJMP _0x72
; 0000 06C3    }
; 0000 06C4        case  204:
_0xF1:
	CPI  R30,LOW(0xCC)
	LDI  R26,HIGH(0xCC)
	CPC  R31,R26
	BRNE _0xF4
; 0000 06C5        {
; 0000 06C6         lr=3;
	LDI  R30,LOW(3)
	STD  Y+4,R30
; 0000 06C7 
; 0000 06C8         s1=64;
	LDI  R18,LOW(64)
; 0000 06C9         e1=64;
	LDI  R21,LOW(64)
; 0000 06CA         t1=1;
	RCALL SUBOPT_0x1E
; 0000 06CB 
; 0000 06CC         c=65;
; 0000 06CD 
; 0000 06CE 
; 0000 06CF         d=255;
; 0000 06D0         goto st2;
	RJMP _0x83
; 0000 06D1        }
; 0000 06D2 
; 0000 06D3 
; 0000 06D4 
; 0000 06D5 
; 0000 06D6             case 206:
_0xF4:
	CPI  R30,LOW(0xCE)
	LDI  R26,HIGH(0xCE)
	CPC  R31,R26
	BRNE _0xF6
; 0000 06D7        {
; 0000 06D8 
; 0000 06D9         lr=3;
	LDI  R30,LOW(3)
	STD  Y+4,R30
; 0000 06DA 
; 0000 06DB         s1=64;
	LDI  R18,LOW(64)
; 0000 06DC         e1=33;
	LDI  R21,LOW(33)
; 0000 06DD         t1=4;
	LDI  R20,LOW(4)
; 0000 06DE 
; 0000 06DF         c=128;
	LDI  R30,LOW(128)
	STD  Y+6,R30
; 0000 06E0 
; 0000 06E1         d=208;
	LDI  R30,LOW(208)
	STD  Y+5,R30
; 0000 06E2         goto st2;
	RJMP _0x83
; 0000 06E3 
; 0000 06E4        }
; 0000 06E5 
; 0000 06E6         case 208:
_0xF6:
	CPI  R30,LOW(0xD0)
	LDI  R26,HIGH(0xD0)
	CPC  R31,R26
	BRNE _0xF8
; 0000 06E7        {
; 0000 06E8 
; 0000 06E9         lr=3;
	LDI  R30,LOW(3)
	STD  Y+4,R30
; 0000 06EA 
; 0000 06EB         s1=32;
	LDI  R18,LOW(32)
; 0000 06EC         e1=0;
	LDI  R21,LOW(0)
; 0000 06ED         t1=4;
	LDI  R20,LOW(4)
; 0000 06EE 
; 0000 06EF         c=132;
	LDI  R30,LOW(132)
	STD  Y+6,R30
; 0000 06F0 
; 0000 06F1         d=207;
	LDI  R30,LOW(207)
	STD  Y+5,R30
; 0000 06F2         goto st2;
	RJMP _0x83
; 0000 06F3 
; 0000 06F4        }
; 0000 06F5 
; 0000 06F6        case 207:
_0xF8:
	CPI  R30,LOW(0xCF)
	LDI  R26,HIGH(0xCF)
	CPC  R31,R26
	BRNE _0xFA
; 0000 06F7        {
; 0000 06F8         muk[9]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,9
; 0000 06F9         muk[11]=0; //   , 
	RCALL SUBOPT_0x1D
; 0000 06FA         d=255;
; 0000 06FB         goto sw2;
	RJMP _0x72
; 0000 06FC        }
; 0000 06FD 
; 0000 06FE        case 205:
_0xFA:
	CPI  R30,LOW(0xCD)
	LDI  R26,HIGH(0xCD)
	CPC  R31,R26
	BRNE _0xFC
; 0000 06FF        {
; 0000 0700         delay_ms(400); // 
	LDI  R30,LOW(400)
	LDI  R31,HIGH(400)
	ST   -Y,R31
	ST   -Y,R30
	CALL _delay_ms
; 0000 0701         muk[11]=1;      // 
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x1D
; 0000 0702         d=255;
; 0000 0703         goto sw2;
	RJMP _0x72
; 0000 0704        }
; 0000 0705 
; 0000 0706   //PPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP
; 0000 0707   //LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
; 0000 0708    case 210:
_0xFC:
	CPI  R30,LOW(0xD2)
	LDI  R26,HIGH(0xD2)
	CPC  R31,R26
	BRNE _0xFE
; 0000 0709 
; 0000 070A    //  
; 0000 070B    {
; 0000 070C 
; 0000 070D        if (muk[12]==5)
	__GETB2MN _muk,12
	CPI  R26,LOW(0x5)
	BRNE _0xFF
; 0000 070E        {
; 0000 070F         d=216;  //  
	LDI  R30,LOW(216)
	STD  Y+5,R30
; 0000 0710         goto sw2;
	RJMP _0x72
; 0000 0711        }
; 0000 0712 
; 0000 0713        if (muk[12]==3)
_0xFF:
	__GETB2MN _muk,12
	CPI  R26,LOW(0x3)
	BRNE _0x100
; 0000 0714         {
; 0000 0715          d=213;//   
	LDI  R30,LOW(213)
	STD  Y+5,R30
; 0000 0716          goto sw2;
	RJMP _0x72
; 0000 0717         }
; 0000 0718 
; 0000 0719         if (muk[12]==1)
_0x100:
	__GETB2MN _muk,12
	CPI  R26,LOW(0x1)
	BRNE _0x101
; 0000 071A        {
; 0000 071B         //  
; 0000 071C         d=211;
	LDI  R30,LOW(211)
	STD  Y+5,R30
; 0000 071D         goto sw2;
	RJMP _0x72
; 0000 071E 
; 0000 071F        }
; 0000 0720          if (muk[12]==4)
_0x101:
	__GETB2MN _muk,12
	CPI  R26,LOW(0x4)
	BRNE _0x102
; 0000 0721         {
; 0000 0722          d=213;//   
	LDI  R30,LOW(213)
	STD  Y+5,R30
; 0000 0723          goto sw2;
	RJMP _0x72
; 0000 0724         }
; 0000 0725 
; 0000 0726        d=255;      //
_0x102:
	LDI  R30,LOW(255)
	STD  Y+5,R30
; 0000 0727        goto sw2;
	RJMP _0x72
; 0000 0728 
; 0000 0729     }
; 0000 072A     case 211:
_0xFE:
	CPI  R30,LOW(0xD3)
	LDI  R26,HIGH(0xD3)
	CPC  R31,R26
	BRNE _0x104
; 0000 072B     {
; 0000 072C        // 
; 0000 072D        lr=2;
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x1F
; 0000 072E 
; 0000 072F        s1=0;     //  
; 0000 0730        e1=15;    //  
; 0000 0731        t1=10;     //    
; 0000 0732        tf1=0;
; 0000 0733        tf2=0;
; 0000 0734        tf3=0;
; 0000 0735        tf4=0;
; 0000 0736 
; 0000 0737        c=160;   // 
	LDI  R30,LOW(160)
	STD  Y+6,R30
; 0000 0738        d=212;    //
	LDI  R30,LOW(212)
	STD  Y+5,R30
; 0000 0739        goto st2;
	RJMP _0x83
; 0000 073A     }
; 0000 073B 
; 0000 073C 
; 0000 073D 
; 0000 073E        case 212:
_0x104:
	CPI  R30,LOW(0xD4)
	LDI  R26,HIGH(0xD4)
	CPC  R31,R26
	BRNE _0x106
; 0000 073F        {
; 0000 0740         muk[14]=2; //  
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x20
; 0000 0741         d=255;     //
; 0000 0742         goto sw2;
	RJMP _0x72
; 0000 0743        }
; 0000 0744 
; 0000 0745        case 213:
_0x106:
	CPI  R30,LOW(0xD5)
	LDI  R26,HIGH(0xD5)
	CPC  R31,R26
	BRNE _0x108
; 0000 0746    {
; 0000 0747        //
; 0000 0748        if (muk[13]==0) //  =0  - 
	__GETB1MN _muk,13
	CPI  R30,0
	BRNE _0x109
; 0000 0749        {
; 0000 074A         muk[14]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x20
; 0000 074B         d=255;       //
; 0000 074C         goto sw2;
	RJMP _0x72
; 0000 074D        }
; 0000 074E 
; 0000 074F        muk[13]=muk[13]-1;
_0x109:
	__GETB1MN _muk,13
	RCALL SUBOPT_0x18
	__PUTB1MN _muk,13
; 0000 0750        muk[14]=3;// 
	LDI  R30,LOW(3)
	__PUTB1MN _muk,14
; 0000 0751        d=214;
	LDI  R30,LOW(214)
	STD  Y+5,R30
; 0000 0752        goto sw2;
	RJMP _0x72
; 0000 0753    }
; 0000 0754        case  214:
_0x108:
	CPI  R30,LOW(0xD6)
	LDI  R26,HIGH(0xD6)
	CPC  R31,R26
	BRNE _0x10B
; 0000 0755        {
; 0000 0756         lr=2;
	LDI  R30,LOW(2)
	STD  Y+4,R30
; 0000 0757 
; 0000 0758         s1=15;
	LDI  R18,LOW(15)
; 0000 0759         e1=15;
	LDI  R21,LOW(15)
; 0000 075A         t1=1;
	RCALL SUBOPT_0x1E
; 0000 075B 
; 0000 075C         c=65;
; 0000 075D 
; 0000 075E 
; 0000 075F         d=255;
; 0000 0760         goto st2;
	RJMP _0x83
; 0000 0761        }
; 0000 0762 
; 0000 0763 
; 0000 0764 
; 0000 0765 
; 0000 0766             case 216:
_0x10B:
	CPI  R30,LOW(0xD8)
	LDI  R26,HIGH(0xD8)
	CPC  R31,R26
	BRNE _0x10D
; 0000 0767        {
; 0000 0768 
; 0000 0769         lr=2;
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x21
; 0000 076A 
; 0000 076B         s1=15;
; 0000 076C         e1=0;
; 0000 076D         t1=10;
; 0000 076E 
; 0000 076F         c=160;
; 0000 0770 
; 0000 0771         d=217;
	LDI  R30,LOW(217)
	STD  Y+5,R30
; 0000 0772         goto st2;
	RJMP _0x83
; 0000 0773 
; 0000 0774        }
; 0000 0775 
; 0000 0776        case 217:
_0x10D:
	CPI  R30,LOW(0xD9)
	LDI  R26,HIGH(0xD9)
	CPC  R31,R26
	BRNE _0x10F
; 0000 0777        {
; 0000 0778         muk[12]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,12
; 0000 0779         muk[14]=0;  //   , 
	RCALL SUBOPT_0x20
; 0000 077A         d=255;
; 0000 077B         goto sw2;
	RJMP _0x72
; 0000 077C        }
; 0000 077D 
; 0000 077E   //PPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP
; 0000 077F   //RRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR
; 0000 0780    case 190:
_0x10F:
	CPI  R30,LOW(0xBE)
	LDI  R26,HIGH(0xBE)
	CPC  R31,R26
	BRNE _0x111
; 0000 0781 
; 0000 0782    //  
; 0000 0783      {
; 0000 0784 
; 0000 0785        if (muk[15]==5)
	__GETB2MN _muk,15
	CPI  R26,LOW(0x5)
	BRNE _0x112
; 0000 0786        {
; 0000 0787          d=196;  //  
	LDI  R30,LOW(196)
	STD  Y+5,R30
; 0000 0788          goto sw2;
	RJMP _0x72
; 0000 0789        }
; 0000 078A 
; 0000 078B        if (muk[15]==3)
_0x112:
	__GETB2MN _muk,15
	CPI  R26,LOW(0x3)
	BRNE _0x113
; 0000 078C         {
; 0000 078D          d=193;//   
	LDI  R30,LOW(193)
	STD  Y+5,R30
; 0000 078E          goto sw2;
	RJMP _0x72
; 0000 078F         }
; 0000 0790 
; 0000 0791         if (muk[15]==1)
_0x113:
	__GETB2MN _muk,15
	CPI  R26,LOW(0x1)
	BRNE _0x114
; 0000 0792        {
; 0000 0793         //  
; 0000 0794         d=191;
	LDI  R30,LOW(191)
	STD  Y+5,R30
; 0000 0795         goto sw2;
	RJMP _0x72
; 0000 0796        }
; 0000 0797          if (muk[15]==4)
_0x114:
	__GETB2MN _muk,15
	CPI  R26,LOW(0x4)
	BRNE _0x115
; 0000 0798         {
; 0000 0799          d=193;//   
	LDI  R30,LOW(193)
	STD  Y+5,R30
; 0000 079A          goto sw2;
	RJMP _0x72
; 0000 079B         }
; 0000 079C 
; 0000 079D        d=255;      //
_0x115:
	LDI  R30,LOW(255)
	STD  Y+5,R30
; 0000 079E        goto sw2;
	RJMP _0x72
; 0000 079F 
; 0000 07A0    }
; 0000 07A1     case 191:
_0x111:
	CPI  R30,LOW(0xBF)
	LDI  R26,HIGH(0xBF)
	CPC  R31,R26
	BRNE _0x117
; 0000 07A2     {
; 0000 07A3        // 
; 0000 07A4        lr=1;
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x1F
; 0000 07A5 
; 0000 07A6        s1=0;     //  
; 0000 07A7        e1=15;    //  
; 0000 07A8        t1=10;     //    
; 0000 07A9        tf1=0;
; 0000 07AA        tf2=0;
; 0000 07AB        tf3=0;
; 0000 07AC        tf4=0;
; 0000 07AD 
; 0000 07AE        c=160;   // 
	LDI  R30,LOW(160)
	STD  Y+6,R30
; 0000 07AF        d=192;    //
	LDI  R30,LOW(192)
	STD  Y+5,R30
; 0000 07B0        goto st2;
	RJMP _0x83
; 0000 07B1     }
; 0000 07B2 
; 0000 07B3 
; 0000 07B4 
; 0000 07B5        case 192:
_0x117:
	CPI  R30,LOW(0xC0)
	LDI  R26,HIGH(0xC0)
	CPC  R31,R26
	BRNE _0x119
; 0000 07B6        {
; 0000 07B7         muk[17]=2; //  
	LDI  R30,LOW(2)
	RCALL SUBOPT_0x22
; 0000 07B8         d=255;     //
; 0000 07B9         goto sw2;
	RJMP _0x72
; 0000 07BA        }
; 0000 07BB 
; 0000 07BC        case 193:
_0x119:
	CPI  R30,LOW(0xC1)
	LDI  R26,HIGH(0xC1)
	CPC  R31,R26
	BRNE _0x11B
; 0000 07BD    {
; 0000 07BE        //
; 0000 07BF        if (muk[16]==0) //  =0  - 
	__GETB1MN _muk,16
	CPI  R30,0
	BRNE _0x11C
; 0000 07C0        {
; 0000 07C1         muk[17]=4;
	LDI  R30,LOW(4)
	RCALL SUBOPT_0x22
; 0000 07C2         d=255;       //
; 0000 07C3         goto sw2;
	RJMP _0x72
; 0000 07C4        }
; 0000 07C5 
; 0000 07C6        muk[16]=muk[13]-1;
_0x11C:
	__GETB1MN _muk,13
	RCALL SUBOPT_0x18
	__PUTB1MN _muk,16
; 0000 07C7        muk[17]=3;// 
	LDI  R30,LOW(3)
	__PUTB1MN _muk,17
; 0000 07C8        d=194;
	LDI  R30,LOW(194)
	STD  Y+5,R30
; 0000 07C9        goto sw2;
	RJMP _0x72
; 0000 07CA    }
; 0000 07CB        case  194:
_0x11B:
	CPI  R30,LOW(0xC2)
	LDI  R26,HIGH(0xC2)
	CPC  R31,R26
	BRNE _0x11E
; 0000 07CC        {
; 0000 07CD         lr=1;
	LDI  R30,LOW(1)
	STD  Y+4,R30
; 0000 07CE 
; 0000 07CF        s1=15;
	LDI  R18,LOW(15)
; 0000 07D0        e1=15;
	LDI  R21,LOW(15)
; 0000 07D1        t1=1;
	RCALL SUBOPT_0x1E
; 0000 07D2 
; 0000 07D3        c=65;
; 0000 07D4 
; 0000 07D5 
; 0000 07D6        d=255;
; 0000 07D7        goto st2;
	RJMP _0x83
; 0000 07D8        }
; 0000 07D9 
; 0000 07DA 
; 0000 07DB 
; 0000 07DC 
; 0000 07DD             case 196:
_0x11E:
	CPI  R30,LOW(0xC4)
	LDI  R26,HIGH(0xC4)
	CPC  R31,R26
	BRNE _0x120
; 0000 07DE        {
; 0000 07DF 
; 0000 07E0        lr=1;
	LDI  R30,LOW(1)
	RCALL SUBOPT_0x21
; 0000 07E1 
; 0000 07E2        s1=15;
; 0000 07E3        e1=0;
; 0000 07E4        t1=10;
; 0000 07E5 
; 0000 07E6        c=160;
; 0000 07E7 
; 0000 07E8        d=197;
	LDI  R30,LOW(197)
	STD  Y+5,R30
; 0000 07E9        goto st2;
	RJMP _0x83
; 0000 07EA 
; 0000 07EB        }
; 0000 07EC 
; 0000 07ED        case 197:
_0x120:
	CPI  R30,LOW(0xC5)
	LDI  R26,HIGH(0xC5)
	CPC  R31,R26
	BRNE _0x122
; 0000 07EE        {
; 0000 07EF         muk[15]=0;
	LDI  R30,LOW(0)
	__PUTB1MN _muk,15
; 0000 07F0         muk[17]=0; //   , 
	RCALL SUBOPT_0x22
; 0000 07F1         d=255;
; 0000 07F2         goto sw2;
	RJMP _0x72
; 0000 07F3        }
; 0000 07F4   //-----end---------------
; 0000 07F5 
; 0000 07F6 
; 0000 07F7      case 255:
_0x122:
	CPI  R30,LOW(0xFF)
	LDI  R26,HIGH(0xFF)
	CPC  R31,R26
	BRNE _0x81
; 0000 07F8      {
; 0000 07F9        goto endd;
	RJMP _0x2A
; 0000 07FA      }
; 0000 07FB   }
_0x81:
; 0000 07FC      goto endd;
	RJMP _0x2A
; 0000 07FD 
; 0000 07FE 
; 0000 07FF 
; 0000 0800 st2:  x1=t1;
_0x83:
	__PUTBSR 20,12
; 0000 0801       fill (s1,lr);
	ST   -Y,R18
	LDD  R30,Y+5
	ST   -Y,R30
	CALL _fill
; 0000 0802 
; 0000 0803       if (lr==1)
	LDD  R26,Y+4
	CPI  R26,LOW(0x1)
	BRNE _0x125
; 0000 0804        {
; 0000 0805         f=FR;
	MOV  R19,R16
; 0000 0806         goto st;
	RJMP _0x126
; 0000 0807        }
; 0000 0808 
; 0000 0809       if (lr==2)
_0x125:
	LDD  R26,Y+4
	CPI  R26,LOW(0x2)
	BRNE _0x127
; 0000 080A        {
; 0000 080B         f=FL;
	MOV  R19,R17
; 0000 080C         goto st;
	RJMP _0x126
; 0000 080D        }
; 0000 080E 
; 0000 080F        f=1;
_0x127:
	LDI  R19,LOW(1)
; 0000 0810 
; 0000 0811 st:   c--;
_0x126:
	LDD  R30,Y+6
	SUBI R30,LOW(1)
	STD  Y+6,R30
; 0000 0812       if (f!=0)
	CPI  R19,0
	BREQ _0x128
; 0000 0813        {
; 0000 0814         if (f==1)
	CPI  R19,1
	BRNE _0x129
; 0000 0815          {
; 0000 0816           if (tf1!=0)
	LDD  R30,Y+10
	CPI  R30,0
	BREQ _0x12A
; 0000 0817            {
; 0000 0818             tf1--;
	SUBI R30,LOW(1)
	STD  Y+10,R30
; 0000 0819             fill (64,4);
	RJMP _0x143
; 0000 081A             goto tff;
; 0000 081B            }
; 0000 081C 
; 0000 081D           fill (0,4);
_0x12A:
	LDI  R30,LOW(0)
	RJMP _0x144
; 0000 081E           goto tff;
; 0000 081F          }
; 0000 0820 
; 0000 0821            if (tf2==0)
_0x129:
	LDD  R30,Y+9
	CPI  R30,0
	BRNE _0x12C
; 0000 0822             {
; 0000 0823              if (tf3==0)
	LDD  R30,Y+8
	CPI  R30,0
	BRNE _0x12D
; 0000 0824               {
; 0000 0825                if (tf4==0)
	LDD  R30,Y+7
	CPI  R30,0
	BRNE _0x12E
; 0000 0826                 {
; 0000 0827                  fill (0,4);
	LDI  R30,LOW(0)
	RJMP _0x144
; 0000 0828                  goto tff;
; 0000 0829                 }
; 0000 082A 
; 0000 082B                tf4--;
_0x12E:
	LDD  R30,Y+7
	SUBI R30,LOW(1)
	STD  Y+7,R30
; 0000 082C                fill (64,4);
	RJMP _0x143
; 0000 082D                goto tff;
; 0000 082E               }
; 0000 082F 
; 0000 0830              tf3--;
_0x12D:
	LDD  R30,Y+8
	SUBI R30,LOW(1)
	STD  Y+8,R30
; 0000 0831              fill (0,4);
	LDI  R30,LOW(0)
	RJMP _0x144
; 0000 0832              goto tff;
; 0000 0833             }
; 0000 0834 
; 0000 0835         tf2--;
_0x12C:
	LDD  R30,Y+9
	SUBI R30,LOW(1)
	STD  Y+9,R30
; 0000 0836         fill (64,4);
_0x143:
	LDI  R30,LOW(64)
_0x144:
	ST   -Y,R30
	LDI  R30,LOW(4)
	ST   -Y,R30
	CALL _fill
; 0000 0837        }
; 0000 0838 
; 0000 0839 
; 0000 083A  tff:   if (s1==e1)
_0x128:
	CP   R21,R18
	BRNE _0x12F
; 0000 083B          {
; 0000 083C           if (x1!=0)
	LDD  R30,Y+12
	CPI  R30,0
	BRNE _0x145
; 0000 083D            {
; 0000 083E             x1--;
; 0000 083F             goto next3;
; 0000 0840            }
; 0000 0841 
; 0000 0842           goto next3;
	RJMP _0x131
; 0000 0843          }
; 0000 0844 
; 0000 0845 
; 0000 0846 
; 0000 0847 
; 0000 0848 
; 0000 0849             if (x1==0)
_0x12F:
	LDD  R30,Y+12
	CPI  R30,0
	BRNE _0x132
; 0000 084A             {
; 0000 084B              x1=t1;
	__PUTBSR 20,12
; 0000 084C              if (e1>s1)
	CP   R18,R21
	BRSH _0x133
; 0000 084D                 {
; 0000 084E                  s1++;
	SUBI R18,-1
; 0000 084F 
; 0000 0850                 }
; 0000 0851                 if(e1<s1)
_0x133:
	CP   R21,R18
	BRSH _0x134
; 0000 0852                 {
; 0000 0853                  s1--;
	SUBI R18,1
; 0000 0854 
; 0000 0855                 }
; 0000 0856                 ls=s1;
_0x134:
	__PUTBSR 18,11
; 0000 0857                 fill (s1,lr);
	ST   -Y,R18
	LDD  R30,Y+5
	ST   -Y,R30
	CALL _fill
; 0000 0858 
; 0000 0859                 if (e1==s1)
	CP   R18,R21
	BRNE _0x135
; 0000 085A                  {
; 0000 085B                   e1=0;
	LDI  R21,LOW(0)
; 0000 085C                   s1=0;
	LDI  R18,LOW(0)
; 0000 085D 
; 0000 085E                   goto next3;
	RJMP _0x131
; 0000 085F                  }
; 0000 0860             }
_0x135:
; 0000 0861 
; 0000 0862             x1--;
_0x132:
_0x145:
	LDD  R30,Y+12
	SUBI R30,LOW(1)
	STD  Y+12,R30
; 0000 0863 
; 0000 0864 
; 0000 0865 next3:     delay_us(500);
_0x131:
	__DELAY_USW 1000
; 0000 0866              if (ls==64)
	LDD  R26,Y+11
	CPI  R26,LOW(0x40)
	BRNE _0x136
; 0000 0867               {
; 0000 0868                if (lr==2)
	LDD  R26,Y+4
	CPI  R26,LOW(0x2)
	BRNE _0x137
; 0000 0869                 {
; 0000 086A                  #asm("cli") // Global disable interrupts
	cli
; 0000 086B read_adc(7); //      (adc7) sense L
	LDI  R30,LOW(7)
	RCALL SUBOPT_0x23
; 0000 086C                  com=ADCH;
; 0000 086D read_adc(5);  //    
; 0000 086E             // Global enable interrupts
; 0000 086F                  #asm("sei")
	sei
; 0000 0870                  FL=2;
	LDI  R17,LOW(2)
; 0000 0871                  if (ADCH<com)
	LDS  R26,121
	LDD  R30,Y+2
	CP   R26,R30
	BRSH _0x138
; 0000 0872                   {
; 0000 0873                    FL=1;
	LDI  R17,LOW(1)
; 0000 0874                   }
; 0000 0875 
; 0000 0876                  goto exo;
_0x138:
	RJMP _0x139
; 0000 0877                 }
; 0000 0878 
; 0000 0879                if (lr==1)
_0x137:
	LDD  R26,Y+4
	CPI  R26,LOW(0x1)
	BRNE _0x13A
; 0000 087A                 {
; 0000 087B                  #asm("cli") // Global disable interrupts
	cli
; 0000 087C read_adc(6); //      (adc6) sense R
	LDI  R30,LOW(6)
	RCALL SUBOPT_0x23
; 0000 087D                  com=ADCH;
; 0000 087E read_adc(5);
; 0000 087F             // Global enable interrupts
; 0000 0880                  #asm("sei")
	sei
; 0000 0881                  FR=2;
	LDI  R16,LOW(2)
; 0000 0882                  if (ADCH<com)
	LDS  R26,121
	LDD  R30,Y+2
	CP   R26,R30
	BRSH _0x13B
; 0000 0883                   {
; 0000 0884                    FR=1;
	LDI  R16,LOW(1)
; 0000 0885                   }
; 0000 0886 
; 0000 0887                  goto exo;
_0x13B:
; 0000 0888                 }
; 0000 0889 
; 0000 088A               }
_0x13A:
; 0000 088B 
; 0000 088C   exo:       if (c!=0)
_0x136:
_0x139:
	LDD  R30,Y+6
	CPI  R30,0
	BREQ _0x13C
; 0000 088D               {
; 0000 088E                goto st;
	RJMP _0x126
; 0000 088F               }
; 0000 0890 
; 0000 0891              goto sw2;
_0x13C:
	RJMP _0x72
; 0000 0892 
; 0000 0893 
; 0000 0894  }
; 0000 0895 }
_0x13D:
	RJMP _0x13D
;
;
;
; /*
; 
; 1-  
; 2-    (Re)
; 3-  
; 4-     
; 5-  
;
; 
; 0-     
; 1-   (Re)
; 2-  
; 3-   ,  
; 4-   ,  
;
;  1,2 -  
;  3 -  1        400
; */
;
;

	.DSEG
_muk:
	.BYTE 0x16
_m:
	.BYTE 0x41

	.CSEG
;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x0:
	LDI  R31,0
	SUBI R30,LOW(-_m)
	SBCI R31,HIGH(-_m)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1:
	MOVW R0,R30
	LD   R30,Z
	LD   R26,Y
	OR   R30,R26
	MOVW R26,R0
	ST   X,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x2:
	MOVW R0,R30
	LD   R30,Z
	LD   R26,Y
	AND  R30,R26
	MOVW R26,R0
	ST   X,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x3:
	__GETB2MN _muk,2
	__GETB1MN _muk,5
	ADD  R26,R30
	__GETB1MN _muk,8
	ADD  R26,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:37 WORDS
SUBOPT_0x4:
	__GETB1MN _muk,11
	ADD  R26,R30
	__GETB1MN _muk,14
	ADD  R26,R30
	__GETB1MN _muk,17
	ADD  R30,R26
	STD  Y+3,R30
	CPI  R30,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x5:
	LD   R30,Y
	STD  Y+3,R30
	ANDI R30,LOW(0x2)
	STD  Y+3,R30
	LDD  R26,Y+3
	CPI  R26,LOW(0x2)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x6:
	__GETB2MN _muk,5
	__GETB1MN _muk,8
	ADD  R26,R30
	RJMP SUBOPT_0x4

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:14 WORDS
SUBOPT_0x7:
	ST   Y,R30
	LDI  R30,LOW(0)
	__PUTB1MN _muk,3
	LDI  R30,LOW(3)
	__PUTB1MN _muk,4
	LDI  R30,LOW(0)
	__PUTB1MN _muk,5
	__PUTB1MN _muk,6
	LDI  R30,LOW(3)
	__PUTB1MN _muk,7
	LDI  R30,LOW(0)
	__PUTB1MN _muk,8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x8:
	LDI  R30,LOW(4)
	STS  _muk,R30
	LDI  R30,LOW(1)
	__PUTB1MN _muk,1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x9:
	LD   R30,Y
	STD  Y+3,R30
	ANDI R30,LOW(0xD)
	STD  Y+3,R30
	LDD  R26,Y+3
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xA:
	LD   R30,Y
	STD  Y+3,R30
	ANDI R30,LOW(0x9)
	STD  Y+3,R30
	LDD  R26,Y+3
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0xB:
	LDI  R30,LOW(0)
	__PUTB1MN _muk,6
	LDI  R30,LOW(3)
	__PUTB1MN _muk,7
	LDI  R30,LOW(0)
	__PUTB1MN _muk,8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xC:
	__PUTB1MN _muk,3
	LDI  R30,LOW(3)
	__PUTB1MN _muk,4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD:
	LD   R30,Y
	STD  Y+3,R30
	ANDI R30,LOW(0x5)
	STD  Y+3,R30
	LDD  R26,Y+3
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xE:
	__GETB1MN _muk,17
	ADD  R30,R26
	STD  Y+3,R30
	CPI  R30,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xF:
	__PUTB1MN _muk,9
	LDI  R30,LOW(1)
	__PUTB1MN _muk,10
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x10:
	ADD  R26,R30
	__GETB1MN _muk,11
	ADD  R30,R26
	STD  Y+3,R30
	CPI  R30,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x11:
	__PUTB1MN _muk,15
	LDI  R30,LOW(1)
	__PUTB1MN _muk,16
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x12:
	__PUTB1MN _muk,12
	LDI  R30,LOW(1)
	__PUTB1MN _muk,13
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x13:
	LDI  R20,LOW(1)
	LDI  R30,LOW(130)
	STD  Y+10,R30
	LDI  R30,LOW(65)
	STD  Y+9,R30
	STD  Y+8,R30
	LDD  R30,Y+9
	STD  Y+7,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x14:
	LDI  R30,LOW(60)
	LDI  R31,HIGH(60)
	ST   -Y,R31
	ST   -Y,R30
	CALL _delay_ms
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x15:
	STD  Y+4,R30
	LDI  R18,LOW(0)
	LDI  R21,LOW(10)
	LDI  R20,LOW(3)
	LDI  R30,LOW(33)
	STD  Y+6,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x16:
	LDI  R18,LOW(10)
	LDI  R21,LOW(0)
	LDI  R20,LOW(3)
	LDI  R30,LOW(33)
	STD  Y+6,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x17:
	__PUTB1MN _muk,2
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x18:
	LDI  R31,0
	SBIW R30,1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x19:
	STD  Y+4,R30
	__GETB1MN _muk,19
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1A:
	__PUTB1MN _muk,5
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1B:
	__PUTB1MN _muk,8
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x1C:
	LDI  R30,LOW(0)
	STD  Y+10,R30
	STD  Y+9,R30
	STD  Y+8,R30
	STD  Y+7,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x1D:
	__PUTB1MN _muk,11
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x1E:
	LDI  R20,LOW(1)
	LDI  R30,LOW(65)
	STD  Y+6,R30
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1F:
	STD  Y+4,R30
	LDI  R18,LOW(0)
	LDI  R21,LOW(15)
	LDI  R20,LOW(10)
	RJMP SUBOPT_0x1C

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x20:
	__PUTB1MN _muk,14
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x21:
	STD  Y+4,R30
	LDI  R18,LOW(15)
	LDI  R21,LOW(0)
	LDI  R20,LOW(10)
	LDI  R30,LOW(160)
	STD  Y+6,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x22:
	__PUTB1MN _muk,17
	LDI  R30,LOW(255)
	STD  Y+5,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x23:
	ST   -Y,R30
	CALL _read_adc
	LDS  R30,121
	STD  Y+2,R30
	LDI  R30,LOW(5)
	ST   -Y,R30
	JMP  _read_adc


	.CSEG
_delay_ms:
	ld   r30,y+
	ld   r31,y+
	adiw r30,0
	breq __delay_ms1
__delay_ms0:
	__DELAY_USW 0x7D0
	wdr
	sbiw r30,1
	brne __delay_ms0
__delay_ms1:
	ret

;END OF CODE MARKER
__END_OF_CODE:
